Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org

Bug #353126 reported by Andrew Barbaccia on 2009-04-01
This bug affects 420 people
Affects Status Importance Assigned to Milestone
Lucid Backports
Undecided
Unassigned
NVIDIA Drivers Ubuntu
Undecided
Unassigned
X.Org X server
Fix Released
High
fglrx
Invalid
Undecided
Unassigned
maverick-backports
Won't Fix
Undecided
Unassigned
vino
Fix Released
Wishlist
vino (Fedora)
Invalid
High
vino (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Timo Aaltonen
Declined for Karmic by Timo Aaltonen
Nominated for Lucid by Agustin
xorg-server (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Timo Aaltonen
Declined for Karmic by Timo Aaltonen
Nominated for Lucid by Agustin

Bug Description

Binary package hint: compiz

When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers (see https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245 for details). Linked bugs confirm this is not an issue on intel chipsets or nv driver.

Steps to reproduce:
Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
Enable remote desktop
Connect with VNC

Results:
You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
Notes:
If you close and restart the vnc session, you get an updated snapshot but still no refreshes.

Workarounds:
Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
Kill compiz and use a different wm (metacity).

[Tested with nvidia] Run compiz with the --use-root-window option, eg:
compiz --replace --use-root-window &

This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .

Description of problem:
The screen does not refresh when connecting to a VNC Server (remote desktop)
that has 'Desktop Effects' enabled.

When connecting to a Server with Desktop Effects enabled, a screen shot of the
desktop is displayed in the client but never again updates. You can monitor
the Server's display and see that the mouse and keyboard function, however no
output can be seen through the VNC client.

Version-Release number of selected component (if applicable): Zod

How reproducible:
This is consistent with my configuration. Disabling Desktop Effects
immediately resolved the problem.

Steps to Reproduce:
1. Enable desktop effects
2. Establish a VNC connection to FC6 from remote machine
3. Note the screen displays, but you do not recieve and screen updates

Actual results:

Expected results:

Additional info: The configuration is on a Dell D610 with Intel video drivers.

*** Bug 214448 has been marked as a duplicate of this bug. ***

please, could you specify more when is the desktop effect options?? I can't find
it + which window manager're you using. thanks

In gnome, under System/Preferences/Desktop Effects. You can 'Enable Desktop
Effects' which change the behavior of the Windows to wobble when dragged.

I have the same problem, my window manager is the default one, compiz, it shows
up in the ps command as following :

compiz --sm-client-id default1 gconf

If you exits the vncviewer and restart the session the image is updated.

Could you please write me if you join to native vncserver (from vnc-server
package) or to gnome's vino server?

It is the vino server, activated by the Remote Desktop features within Gnome.
This is from a very generic installation of FC6.

This bug isn't in vnc. Reassigning to proper component.

Confirmed on a fully updated F7, with components :

vino-2.18.0-1.fc7
vnc-4.1.2-18.fc7 (for vncviewer)
compiz-0.4.0-1.fc7 (for desktop effects)

Disclaimer : tested with the proprietary nvidia driver
(kmod-nvidia-100.14.11-1.2.6.22.1_41.fc7 and xorg-x11-drv-nvidia-100.14.11-1.lvn7)

this should be fixed with current git mesa/xserver/et al, i believe.

(In reply to comment #1)
> this should be fixed with current git mesa/xserver/et al, i believe.
>

Oh, this is a great news. Do you have any idea when a new tarball (release) will be released?
Thanks,

x11vnc apparently works where vino fails:
http://ubuntuforums.org/showthread.php?t=470306

Perhaps the '-noxdamage' option for x11vnc can be reproduced for vino to fix this?

Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

This seems to still be happening on latest Ubuntu Jaunty Beta with -restricted drivers (tested with nvidia restricted). vnc will show a static image with no refreshes. Monitoring the system will show that actions are actually taking place (or starting another vnc session to grab a new 'snapshot').

More info here: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/353126

Binary package hint: compiz

When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.

Steps to reproduce:
Enable desktop-effects (default) with nvidia-restricted driver
Enable remote desktop
Connect with VNC

Results:
You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
Notes:
If you close and restart the vnc session, you get an updated snapshot but still no refreshes.

Workarounds:
Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
Kill compiz and use a different wm (metacity).

This bug has been confirmed by over a dozen people in the linked bugs.

description: updated
Changed in xorg-server:
importance: Undecided → Unknown
status: New → Unknown
Changed in xorg-server:
status: Unknown → Confirmed

What's strange about this bug is that I /didn't/ have this problem in Intrepid, but I /do/ have it in Jaunty...

Graham Inggs (ginggs) wrote :

I got this problem after upgrading to Jaunty. It used to work fine in Intrepid.

giruzz (giruzz) wrote :

Same here. All fine in Intrepid but it doesn't work with Jaunty

Teddyber (teddyber) wrote :

same here sine I upgraded too Jaunty. It was fine with Intrepid, Hardy, Gutsy, and Feisty at least (if not even before...)

There is a new version of x11 in jaunty which is probably why this is a problem with the new release.

Changed in compiz (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in vino (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed

I've just noticed that turning off desktop effects fixes the problem.

Rocko (rockorequin) wrote :

I also get this problem using VirtualBox's display drivers (see https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/333564 which looks like a duplicate bug): if I am running a VM with desktop effects, I get no updates in vnc, but if I turn desktop effects off, everything returns to normal.

So it seems to be both nvidia and VirtualBox drivers that exhibit this problem. It isn't a problem on another laptop running 3d effects with an ATI card.

jecarterii (jecarterii) wrote :

Just upgraded to 9.04 full release from 8.10 .. used update man gui to upgrade.. have same issue.. have to disable all desktop effects for users to vnc my system (which has vino server).. since im using full release, im guessing this issue got thru beta? any chance its gonna get fixed?..
thanks...

croaker___ (martin-gautier) wrote :

Confirmed as described.

8.10 -> 9.04 upgrade, proprietary nvidia drivers, screen effects on.
Fails on WinXP->tightvnc->9.04, WinXP->realvnc->9.04, WinXP->ultravnc->9.04, 8.10->Remote Desktop Viewer->9.04

Works in all cases when screen effects switched off.

Philip Wyett (philwyett) wrote :

I can confirm this issue and that turning off desktop effects works round the issue.

I ran into the issue after making a machine headless and moving it so had to disable desktop effects in the terminal. Todo this you use the two commands below then restart.

gconftool -s -t string /desktop/gnome/applications/window_manager/current /usr/bin/metacity
gconftool -s -t string /desktop/gnome/applications/window_manager/default /usr/bin/metacity

same problem here very frustrating, is it possible to switch the wm to and from compiz without rebooting?

RM (rmajeed) wrote :

Screen Sharing on MacOS 10.5.6, connected to Ubuntu Intrepid, worked well with Visual Effects set to "Normal". When I upgraded Ubuntu to Jaunty (release), Screen Sharing would no longer show updates. Setting Visual Effects to "Off" immediately caused screen updates to resume. It's unclear what the "nodamage" equivalent would be in MacOS Screen Sharing, or I would report that result. I can provide more detailed information if it would be helpful.

Trurl (trurl-online) wrote :

I can confirm this issue too and that turning off desktop effects helps. I hope a fix will be published soon :(

heggink (herman-eggink) wrote :

After upgrading to Jaunty, I found that my CPU load would constantly be stuck around 60% (which using an E8400 on an idle system is rather strange). Could not find any cause until I replaced vino with x11vnc. After uninstalling vino, not only was my system load back to idle load (few %) but also HD video runs much more smoothly than it ever did + x11vnc works perfectly with (using noxdamage, haven't tried without) all desktop effects enabled.
I run Geforece8500GT, E8400 with 4GB on a shuttle barebone.

heggink wrote:
> After upgrading to Jaunty, I found that my CPU load would constantly be stuck around 60% (which using an E8400 on an idle system is rather strange). Could not find any cause until I replaced vino with x11vnc. After uninstalling vino, not only was my system load back to idle load (few %) but also HD video runs much more smoothly than it ever did + x11vnc works perfectly with (using noxdamage, haven't tried without) all desktop effects enabled.
> I run Geforece8500GT, E8400 with 4GB on a shuttle barebone.

The CPU issue is a different bug that this one.

i know the CPU issue is a different bug. What I said was that vino caused my CPU issue and vino also happens to be the vnc server. Too much coincidence for me.

XCan (xcan-) wrote :

I too can confirm this issue. It worked fine on 8.10, but after upgrading to 9.04, vnc client only displays initial screen. All consecutive actions are carried out (can be seen by restarting the vnc-client and logging in), but the screen on the client does not update.

Dan Smith (mrdanpsmith) wrote :

I too can confirm this bug. There was another bug that was similar in the previous versions, except it would be on subsequent X screens (if you had more than 1). I took it from one of the developers on that bug that there was a small patch he submitted to correct the problem, and that the problem had to be applied to the second screen. If this is the same problem, is there any chance we can make sure that the new fix fixes it for additional X screens? Because last time I couldn't use VNC on my second X server because it wouldn't refresh as long as desktop effects were enabled.

I also was able to use this fine in 8.04 and 8.10, Jaunty killed the support. I'm thinking that someone should take a look at the fix in the other bug.

Dan Smith (mrdanpsmith) wrote :

Here is the other bug report I filed for the second X server problem:

https://bugs.launchpad.net/bugs/309020

Dan Smith (mrdanpsmith) wrote :

Nobody really replied to my bug, the bug that it appears to be the exact same as is linked both in the bug report for my bug, and below:
https://bugs.launchpad.net/ubuntu/+source/vnc/+bug/77442

Dan Burke (dan-burke) wrote :

Can a developer explain why this all of a sudden started in Jaunty and was not a problem in Intrepid? The upstream bug report this is linked against is from mid to late 2007. I assume Jaunty didn't "Upgrade" to an Xorg release from 2007. This problem seems to be affecting a lot of people and is a regression, and the lack of activity suggests that it's not going to be fixed in Jaunty... it'd be nice if we heard something about this, as I'm willing to downgrade to Intrepid over this bug.

If this truly is a problem with the new Xorg, why are we tagging on to the upstream bug report from 2007 and not creating a new bug report for the new version?

Valentin Rocher (bishiboosh) wrote :

I have this error with Nvidia/Jaunty also. Is there some lead on how to fix this ?

Valentin Rocher (bishiboosh) wrote :

Hmmm...As in the duplicate, the importance on this bug must be set to "High", compiz is launched by default and nvidia is present on many computers...This problem renders the vnc server completely unusable.

jose (jose-cybergalvez) wrote :

I don't know if adding more "me too" helps move the importance up or not, but this only started when I upgraded to Jaunty and its a real real real problem. I use the remote desktop all the time. Compiz is on by default, and turning if on and off would be a real pain, and is not really a good solution only a bad workaround. I sure hope this gets fixed soon, I'm considering switching back to intrepid because of this,

You may want to switch to freeNX until this bug is resolved

On Apr 29, 2009, at 6:11 PM, jose <email address hidden> wrote:

> I don't know if adding more "me too" helps move the importance up or
> not, but this only started when I upgraded to Jaunty and its a real
> real
> real problem. I use the remote desktop all the time. Compiz is on by
> default, and turning if on and off would be a real pain, and is not
> really a good solution only a bad workaround. I sure hope this gets
> fixed soon, I'm considering switching back to intrepid because of
> this,
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in X.Org X server: Confirmed
> Status in “compiz” source package in Ubuntu: Confirmed
> Status in “vino” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects
> the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers.
> Linked bugs confirm this is not an issue on intel chipsets or nv
> driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu
> item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated
> snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really
> inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports.
> Might be an issue with xorg since there is a report of ATI drivers
> with similar issues in https://bugs.launchpad.net/bugs/328559 .

That's not really a workaround...The default vnc server on Ubuntu is vino. What's important is to allow all users to use their machine "out-of-the-box" and, with nvidia being present on many hardwares, it seems to me that it's a real problem.

nhasian (nhasian) wrote :

I'm not sure its exclusive to nvidia. I read a post on the ubuntu forums that a user with an ATI video card had the same problem. can anyone confirm? I dont have any machines with ATI video cards.

Dave Brosius (dbrosius) wrote :

I have an ati card

01:00.0 VGA compatible controller: ATI Technologies Inc RV610 [Radeon HD 2400 XT]

And this exact problem happens for me as well. (only in jaunty)

Aerogt3 (perry-robertl) wrote :

I have this same problem. While a fix would be great, how can I disable desktop effects if I am running the Nvidia driver? I cannot seem to figure it out, and this would solve the issue until there is a proper fix.

Yuriy Voziy (yuretsz) wrote :

Awfull bug I work with vnc alot. Everything worked fine with 8.10 and upgrade to 9.04 made me unhappy with it.

Trurl (trurl-online) wrote :

I installed x11vnc and use this command in the terminal:

x11vnc --noxdamage --passwd XXX -forever

as a work-around until vino is fixed.

Aerogt3 wrote:
> I have this same problem. While a fix would be great, how can I disable
> desktop effects if I am running the Nvidia driver?

System->Preferences->Appearance, Effects tab

reading through the different "workarounds" x11vnc is the best. I can leave compiz turned on and still use vnc to connect ot the machine. Basically you turn off vino (Systems>Preferences>Remote Desktop uncheck sharing) and then I added x11vnc --noxdamage --passwd XXX -forever -shared -alwaysshared to my session. I don't know if shared and alwaysshared are needed options but they seem to make sense. And so far I don't see much of a performance hit with the --noxdamage turned on.

Aerogt3 (perry-robertl) wrote :

What I did was turn off desktop effects using compiz simple-ccsm.

Install simple-ccsm from synaptic and then its under preferences I think.

jose (jose-cybergalvez) wrote :

well there's a bug in x11vnc too, after a while you get a stuck "a" which requires you to restart the xserver so that workaround isn't going to work for me now

summary: - Compiz / vnc screen refresh with nvidia-restricted driver
+ Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox
ShipiboConibo (shipiboconibo) wrote :

Is the x11vnc bug confirmed? Any more data on that?

I feel guilty that I love eye candy this much (I never thought I'd say this...), but I'd REALLY like to keep using Compiz, haha!

Maybe one of the more experienced nixers could come up with a script to disable Compiz only when a VNC connection is established, and re-enable it upon termination?

Also, has anyone tried switching from the nvidia v180 driver to the v173 driver? I'm not able to try it atm, and there is speculation this is nvidia independent, but maybe it's worth a shot.

yamakake (arthurcclee) wrote :

Just wanted to add another "me too"...

I've upgraded to Jaunty with VNC problems too. Tried ShipiboConibo's suggestion to go with v173 NVIDIA drivers. Same issue. To connect to Jaunty, I'm using a Mac JollysFastVNC + Screen Sharing. The X11VNC workaround appears to work for now, but it's a pain in the butt since it's mega slow.

And of course, I decided to go all the way down to the v96 NVIDIA drivers too. Same issue, doesn't work.

1 step forward, 2 steps back...

Also seeing on fglrx driver:
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
        compiled for 1.4.99.906, module version = 8.60.40
        Module class: X.Org Video Driver
(--) fglrx(0): Chipset: "ATI Radeon HD 3600 Series" (Chipset = 0x9598)

x11vnc seems to work fine.

summary: - Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox
+ Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
+ fglrx driver
K Runge (ubuntuforums) wrote :

> The X11VNC workaround appears to work for now,
> but it's a pain in the butt since it's mega slow.

You need to supply the "-noxdamage" to x11vnc's cmdline.

XDAMAGE is broken under compiz and the "-noxdamage" option tells x11vnc to not use it; this avoids the problem of no/slow screen updates.

Jonh Wendell (wendell) wrote :

Hi, folks.

I've uploaded a vino package in my PPA (https://launchpad.net/~wendell/+archive/ppa) which adds a gconf option: disable_xdamage.

After install the package, go to gconf-editor and change the key "/desktop/gnome/remote_access/disable_xdamage" to true. Then enable vino at System->Preferences->Remote Desktop.

Tell me if it works for you so that I can apply that patch on vino upstream.

Thanks.

Valentin Rocher (bishiboosh) wrote :

If this fix works, I think you should also do that this key could be easily changed without using gconf-editor...Maybe in the "Remote Desktop" menu, put a choice with "Disable XDAMAGE - Use this if it doesn't work with compiz"

Can't this be checked automatically whether xdamage is supported or not?

John Affleck (lists+launchpad) wrote :

This doesn't seem to improve things for me:
dpkg -s vino:
Package: vino
Status: install ok installed
Architecture: amd64
Version: 2.26.1-0ubuntu2

gconftool-2 -g /desktop/gnome/remote_access/disable_xdamage
true

killall vino-server

Still get no updates on vncviewer. Maybe user error ?

Stefan Beer (stefbeer) wrote :

Hi!

I've also tried the patched package, but it did not work. I completely removed the original vino and installed the patched package. After changing the gconf-setting I activated the server again and tried it. After connecting the screen still does not refresh after changes.
I also tried to set disable_xdamage to false but the result was the same.

Maybe the gconf-value is not read properly?

Thank you very much!

Jonh Wendell (wendell) wrote :

Stupid me. I forgot to actually use the new conf while starting the server.

Just uploaded a new version (-ubuntu3). Please test it.

Thanks.

Stefan Beer (stefbeer) wrote :

Hello!

I tried it again but nothing changed.. I'm sorry.

I saw in the diff file that there should appear a debug message when xdamage is turned off.
 + if (vfb->priv->disable_xdamage)
-+ return;
++ {
++ dprintf (POLLING, "Not using XDamage extension, as requested via gconf key\n");
++ return;
++ }
 +

But I cannot see this message. This is what is in my ~/.xsession-errors when I start vino and open a connection:
http://nopaste.info/1b85475786.html

Any further ideas?
Thank you!

Jonh Wendell (wendell) wrote :

Try the -ubuntu4 version please. (just uploaded)

Stefan Beer (stefbeer) wrote :

Hi!

It works!! Thank you very much!
I installed the package, activated vino again, connected and I could see the changes!
When I set disable_xdamage to false, I won't see any changes over VNC. What a surprise. ;)

Thank you!!

John Affleck (lists+launchpad) wrote :

Confirmed - -ubuntu4 w/ disable_xdamage set to true gets me an properly updated desktop as well. Thanks!

Cyril Jaquier (cyril-jaquier) wrote :

It works for me too with the proprietary nvidia drivers (TwinView with 2 monitors). Thanks guy :-)

Shad Owen (owen-shad) wrote :

I found a different workaround. I had this installed on my HTPC and can only connect via SSH and VNC so I gave it this command

"sudo apt-get remove --purge compiz-core desktop-effects"

to remove compiz and desktop effects and then

"sudo /etc/init.d/gdm restart"

to restart the x server.

Fixed the problem...

Changed in vino:
status: Unknown → Fix Released

Should this be marked "Fix Released"? There is workaround, but it requires using the slower noxdamage. It does not fix the regression. If this is accepted as a fix, would it be okay to file a new bug about the need to use "-noxdamage" in VNC, when I didn't used to have to?

I don't think this should be marked as fix released at all, the work around detailed is not suitable for me using a wireless connection. VNC worked fine before Jaunty with desktop effects without using -noxdamage is just a temporary work around for some people, hardly a fix.

Chris Roddy (cmr) wrote :

$ dpkg -l |grep vino
ii vino 2.26.1-0ubuntu4 VNC server for GNOME

$ gconftool-2 -g /desktop/gnome/remote_access/disable_xdamage
true

i am able to reproduce the bug using this version.

the machine is running fglrx. i've restarted vino-server several times; the process id has changed each time indicating that i am not speaking to an old vino-server process. do i need to restart the X server?

XCan (xcan-) wrote :

I don't think this should be marked as fix either. Doesn't this suit better under the 'Workarounds' section in the description? I doubt -noxdamage is the intended way to run a VNC server in the future.

Chris Roddy (cmr) wrote :

i had a chance to visit the machine in person today, and the fix in -ubuntu4 worked for me after i had rebooted the machine. it seems that something besides vino-server must be restarted for the fix to take effect.

thank you for your attention to this problem. i hope that this package can be accepted into ubuntu before the next release cycle.

jose (jose-cybergalvez) wrote :

Thanks for the workaround, but I agree this is not a fix, but rather a good workaround. This problem should definitely not be marked as fixed, but it sure is nice to have a working workaround

Rexedead (2275788-gmail) wrote :

Thank you very much!!!
1. gconf-editor
2. /desktop/gnome/remote_access/disable_xdamage ----> true
3. sudo /etc/init.d/gdm restart
4. ???????
5. PROFIT

Troy Ready (troyready) wrote :

I agree that fix released should be dropped. It's not a whole lot better than just releasing a fix that says "don't use VNC".

The bug still seems to be marked as fix released any word on this, as the suggested fix is not suitable for myself and no doubt other affected users.

As I understand it from the status page, only the vino task is marked Fix
released, which is simply a workaround in vino.
The status for compiz and xorg server (where the root of the problem
actually lies) are both marked as "confirmed", so these issues are still
open.

From the comments on the upstream freedesktop bug, it appears the issue has
been fixed in the latest development versions of the drivers/xorg:
https://bugs.freedesktop.org/show_bug.cgi?id=12255

When these will appear in ubuntu though is what we are interested in of
course.

On Fri, May 22, 2009 at 4:53 AM, tonyhartfield
<email address hidden>wrote:

> The bug still seems to be marked as fix released any word on this, as
> the suggested fix is not suitable for myself and no doubt other affected
> users.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I can confirm this bug, but it also happens with ATI-restricted drivers and compiz.

charly4711 (karl-h-beckers) wrote :

Judging from the suggested workaround, I wouldn't at all be surprised, if this was caused by this:
http://lists.freedesktop.org/archives/compiz/2008-May/003125.html

Barak Naveh (barak-naveh) wrote :

I'm also hit by this bug. This is a really annoying one -- i had a working 8.10 system, upgraded to 9.04, now it's broken!

is any proper solution approaching?

Problem still not solved!?

Sorry, it's with the newest version of Vino from Jonh Wendell has solved my problem thx.

Mandibela (alien) wrote :

I'm adding a "I can't live on like this" - I have all the problems you guys have, but disabling compiz is not a choice, I use "Elegant Brit" and use a lot exposé. I do use the machine for actual work... well long story short, this situation is unacceptable for me. I cannot use remote desktop from my usual remote spots that have slow wifi. For me, this is actually outrageous. In retrospect, I understand that I should have not updated to jaunty, but there is little chance of knowing that the next-best-version is actually totally flawed. I mean, is there actually a way for somebody that would like to use the newest version of ubuntu to know these problems?

Please, try to release a real fix as soon as possible! And oh boy you should know what I think of these "workarounds"...

Wes Sabi (wessabi) wrote :

While waiting for a true fix, I ended up installing NoMachine's NX server which works great.

While waiting for a fix, using x11vnc will be fine. I hope a fix for Jaunty comes soon. It would be awful to have to wait till 9.10 for this regression to be fixed.

Chris Roddy (cmr) wrote :

I wouldn't get my hopes up. With the exception of security vulnerabilities I can't think of a time when a bug I've been watching has been fixed between Ubuntu releases.

that's sad.
can anyone help me with setting up an alternative vnc server?

> can anyone help me with setting up an alternative vnc server?

$ sudo apt-get install x11vnc
$ x11vnc

:)

Wow, I didn't know it was that much complicated :)
It's significantly slower for me than vino, but it's better than moving the
cursor blind. Thanks.

-- Amr

Can't I just downgrade a certain package to get a version where this is still working?

Is this problem only when you upgrade to 9.04 from a previous version?

It has nothing to do with upgrading. It's a problem where damage
isn't getting picked up. It's a problem in the package. Clean
install or not. I don't think refreshing the entire screen is a
sufficient workaround either for the most part. It's bad enough that
you can't set compression options in either the Ubuntu server
interface or in the client, but now you can't use the VNC server
without refreshing the entire image everytime? That's murder for
lower bandwidth use. I feel like getting on the suggested features
forum/launchpad whatever and suggesting that Ubuntu come out of the
box with some type of workable remote desktop type solution. Windows
provides remote desktop out of box on Windows XP, Ubuntu should have a
workable alternative. (And it should not require setting up of SSH
tunnels manually either if you want to make it open on a network,
because currently VNC is unencrypted and unsafe for network use except
behind SSH).

On Tue, Jun 2, 2009 at 7:27 PM, no-use <email address hidden> wrote:
> Can't I just downgrade a certain package to get a version where this is
> still working?
>
> Is this problem only when you upgrade to 9.04 from a previous version?
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Confirmed
> Status in “compiz” source package in Ubuntu: Confirmed
> Status in “vino” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>

Definitely a regression. I used Remote Desktop with Ubuntu 8.10, 8.04, and 7.10 and UltraVNC client on Windows without issue.

Confirmed - Clean install of 9.04 - VNC client shows initial screen but no updates. Clicking Refresh button in client doesn't refresh the screen.

Confirmed - I am using NVIDIA restricted driver and "Extra" visual effects.

Confirmed - setting visual effects to "None" restores display updates to VNC client.

Interesting behavior - With visual effects set to "Extra", I was watching both computers. The VNC client was able to control the Ubuntu 9.04 desktop correctly, but the screen updates weren't being updated in the VNC client. The VNC server appears to work correctly except for the screen updates w/ compiz enabled.

today i tested it with a fresh installation of Ubuntu Karmic Koala 9.10
Alpha 2. the screen still does not refresh while compiz is enabled.

On Sat, Jun 13, 2009 at 7:29 AM, Andrew <email address hidden> wrote:

> Definitely a regression. I used Remote Desktop with Ubuntu 8.10, 8.04,
> and 7.10 and UltraVNC client on Windows without issue.
>
> Confirmed - Clean install of 9.04 - VNC client shows initial screen but
> no updates. Clicking Refresh button in client doesn't refresh the
> screen.
>
> Confirmed - I am using NVIDIA restricted driver and "Extra" visual
> effects.
>
> Confirmed - setting visual effects to "None" restores display updates to
> VNC client.
>
> Interesting behavior - With visual effects set to "Extra", I was
> watching both computers. The VNC client was able to control the Ubuntu
> 9.04 desktop correctly, but the screen updates weren't being updated in
> the VNC client. The VNC server appears to work correctly except for the
> screen updates w/ compiz enabled.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Confirmed
> Status in “compiz” source package in Ubuntu: Confirmed
> Status in “vino” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>

Just wanted to add another instance of this issue. I like to remotely access my desktop, which I use as a desktop, from my laptop. I don't want a hack where compiz is disabled which vnc connections is made. I used intrepid fine remotely with desktop effects still enabled, even over my narrow 256kbs upload. Since this worked fine in Intrepid, please fix it for Jaunty (and Karmic).

Thanks,

Alex

chrisolof (chrisolof) wrote :

I can confirm/reproduce this bug on a fresh and up-to-date install of Ubuntu 9.04 running compiz and the nvidia restricted driver.

Awaiting a fix ++;

Raphael (lacerda-raphael) wrote :

I'm also facing the same issue since I have upgraded to Jaunty Jackalope. Even if I select the old NVidia Driver (version 96) the VNC client screen doesn't update eigther. VNC only works propperly after disabling visual effects.

edub (erikwilliamsa) wrote :

Is this any closer to being fixed? Or, is there a way for a normal person that doesn't know about digging thru config files to get this to work, or revert back to a previous working version?

Use FreeNX (http://freenx.berlios.de/). IMO it's much better than VNC
anyway, it automatically sets your screen res, and works with compiz, of
course.

Rolo.

On Mon, Jun 22, 2009 at 7:44 PM, edub <email address hidden> wrote:

> Is this any closer to being fixed? Or, is there a way for a normal
> person that doesn't know about digging thru config files to get this to
> work, or revert back to a previous working version?
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Confirmed
> Status in “compiz” source package in Ubuntu: Confirmed
> Status in “vino” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>

FreeNX is not a solution. It is not in the repositories and is not a default installation item. It also will not connect me to an existing session.

Still awaiting a fix to this. Why has there been no research into why this broke between 8.10 and 9.04?

I'm using x11vnc as an alternative. The performance isn't great but it
works.

Thanks to Rolo for the earlier FreeNX suggestion as a work around, I can't
believe how much better it is than VNC, amazingly smooth and responsive even
over wifi.

Using x11vnc is more or less the same as using the noxdamage flag in the patched version provided by John Wendell. Is FreeNX really an alternative? Can it see the desktop like it was, or does it start a completely new session?

Jeremy A (jtheoof) wrote :

I am using Ubuntu Jaunty 9.04 and noticing this problem.

So far, the easiest fix I found was to run metacity --replace on the server machine.
This kills the compiz window manager and replaces it with metacity which enables vnc clients to run fine.

I am able to notice the changes at runtime, so changing window manager updates the clients as soons as the command is run.

I hope this helps anyone with this problem.

Chris Balcum (sherl0k) wrote :

-Changing window managers *does not* fix this bug, it is a workaround.
-Running FreeNX *does not* fix this bug, it is a workaround.
-Using x11vnc with -noxdamage *does not* fix this bug, it is a workaround.

A fixed bug would mean that I log into a machine via vnc and it simply works without any sort of modification.

Travis Watkins (amaranth) wrote :

Has anyone tried using the version of compiz that used to work with the version of everything else that doesn't work? Basically intrepid's compiz with jaunty everything else. Pretty sure there is nothing compiz can do here so that would still not work.

Travis Watkins (amaranth) wrote :

Also, does this happen if you enable metacity compositing or kwin compositing? The post on the compiz mailing list describes how compiz has always worked, not some recent change. It's the way that all compositors work.

jose (jose-cybergalvez) wrote :

I agree with Chris Balcum, so far everything submitted to date with this bug has been a workaround. and changing the window manager from compiz to metacity makes no sense as a workaround, because if you didn't want to run compiz you wouldn't be effected by the bug in the first place, and I like compiz, I just want it to work correctly with VNC

J N B (wdflr73) wrote :

I have used 4 of my 5 Linux computers with VNC, nvidia-restricted, and Compiz since Feisty without a single hiccup.

This is a regression to when I used Edgy, Compiz/Beryl and Intel 810 graphics (that's almost 3 YEARS!) Back then the solution to everything was 'disable Compiz.'

My ENTIRE NETWORK as well as my ability to assist friends/family remotely (VNC over SSH --the workarounds are useless here) is affected by this bug.

I use the Compiz cube, not for eye-candy but because I'm more productive with an application on each workspace - roll the mouse wheel, I'm where I want to be. Linux has affected my way of computing - for the better- this bug has disabled much of what I have come to expect for the last 3 years.

 Three months is too long to wait for a genuine fix for something that worked for so long. This is a serious regression, it breaks some of the very things that set Linux apart and that make it more useful than what we used to suffer with.

J N B (wdflr73) wrote :

Please consider the following:
1. VNC with Compiz enabled worked prior to Jaunty using nvidia-restricted v. 173, v.177, & v. 180 (and apparently with the other graphics drivers listed in the title.)

2. VNC with Compiz enabled DOES NOT work in Jaunty with nvidia-restricted v.173, v.177, v.180 or the other drivers listed above (which previously worked.)

3. The bug doesn't manifest itself without proprietary drivers.

We can draw the conclusion from this that the bug manifests itself with proprietery drivers, but the fault of the sudden change in usability does not lie with the video drivers, right?

If that is the case, can we re-word the title and description of this bug to reflect that the problem (the change in usability) lies with the interaction of Compiz/ Vino and/or X.Org ??

This bug may receive more attention if it didn't look like another problem which could only be fixed by an update in proprietary software.

XCan (xcan-) wrote :

I agree with J N B. Since everything was working with the restricted driver before, I think more focus need to be put into whatever changed in Compiz and X.org between the versions.

Travis Watkins (amaranth) wrote :

No one has answered my questions and I'm pretty sure there is nothing in compiz that changed that could possibly have an effect on this. It's going to be an nvidia<->xorg thing for sure.

Changed in compiz (Ubuntu):
status: Confirmed → Invalid
affects: compiz (Ubuntu) → xorg-server (Ubuntu)
Changed in xorg-server (Ubuntu):
status: Invalid → New
jjericho (jjjericho) wrote :

Has anyone tried using the previous 8.10 or 8.04 distros and then manually updating Nvidia, Compiz, and other components that are suspect one at a time? Seems to me that would be the logical place to start and help identify what exactly isn't working; update an application, test VNC, then continue for each known update. It would also provide a workaround with a simple rollback or downgrade a particular component once it's isolated.

jjericho (jjjericho) wrote :

Forget my suggestion. I took a leap and just removed ALL Compiz components from the package manager and rebooted. Works fine now. So it appears that it's not some crazy kernel update like I suspected, or anything with Nvidia. So the simple solution, the 'actual' workaround until Compiz gets their crap together is just go into the Package Manager, run a query for Compiz, and do a "Mark for complete removal" on all 8 or so components of compiz. Reboot, and VNC works fine. A relatively easy workaround for now.

J N B (wdflr73) wrote :

Travis:

Sorry I overlooked your questions. It does work with Metacity compositing enabled. I haven't had a chance to install an older version of Compiz yet to see if that works. I was inclined to agree with your nvidia<->xorg hypothesis, but I hope the changes in Compiz from 0.7.8(Intrepid) to 0.8.2(Jaunty) are taken into consideration as well.

jjericho (jjjericho) wrote :

Folks,

Sorry for the multiple posts, I've been posting as I go.

Seems I was slightly off course in blaming solely Compiz for this issue. I installed some older versions of it and had the exact same issue with two different versions (9.04 has 1:0.8.2-0ubuntu8, whereas a fresh install of 8.10 has 0.7.8-0ubuntu4.1....thanks VMware Fusion). So I went after the next likely offender...Nvidia. It seems that whatever is new in Nvidia's software is not playing nice with any version of Compiz, newer or otherwise. So yes, removing Compiz fixes the VNC...the problem is all of your windows open half off the screen in the top left, I'm assuming some goofy default x/y coord setting somewhere that I don't have the patience to find. So here's a different workaround.

I went into Package Manager again and ripped out anything that even hinted it belonged to Nvidia. Then I ran an update to put the newest Compiz back on, since that wasn't the main offender anyways. Now the windows open normally again, and whats more is VNC works great! I've proven this by making these system changes from my Macbook pro, while simultaneously watching the screens on my Windows 7 and Windows XP laptops. All 3 worked nice with VNC, as expected.

There's a bit of a downside to my workaround. My resolution isn't ideal. I'm rocking the 800x600 (It's hosted on a 15" HP Pavilion widescreen), so it's not uber great, but it's usable.

For those of you interested, I found a quite useful server hosting all the old versions of Compiz and Compiz related goodies, and in .deb packages no less. You can find it here:

https://mirror.umoss.org/ubuntu/pool/main/c/compiz/

It has a security cert, so your browser may freak out. I know FF on ubuntu did, but you just have to allow the cert, no biggie.
I'm still hunting down the previous versions of the Nvidia stuff, and I'm going to try and isolate what exactly Compiz doesn't like, since ripping out ALL of the Nvidia components is somewhat drastic.

If anyone makes any more headway in the meantime, please for goodness sakes post it, sitting for hours hunting this stuff down gives me a headache.

But at least we now have a workaround!

J N B (wdflr73) wrote :

I feel confident Travis Watkins is right sending it the xorg-server direction. I look forward to seeing it resolved

XCan (xcan-) wrote :

jjericho,

Although I appreciate your tests performed, they show nothing more than the workaround that has been around for quite some time, namely, disable compiz. You were saying that you believe it was something nvidia changed in their new drivers, I have to disagree with reference to J N B's and my own experimental findings where the same drivers worked in 8.10. It is thus more likely that this is caused by an x.org issue as the discussions between J N B and Travis indicates.

jjericho (jjjericho) wrote :

XCan,

You are correct that disabling compiz was my original suggestion. However, as I mentioned before, I've narrowed the issue down to either xorg or Nvidia, and the more I mess with it, it's seeming to be nvidia. Compiz is fully installed on my system. After removing all nvidia referencing packages, VNC works however my resolution was only 800x600. So after more troubleshooting today, I've confirmed on my own system that VNC now works with Compiz, in addition to having xserver-xorg-video-nv installed (1:2.1.12-1ubuntu5), in addition to some other nvidia modaliases. I simply manually selected a few packages to install in Package Manager, the xorg being the first one I tried. I now have a normal screen resolution, Compiz enabled, and VNC working. The only thing I cannot do at this point is enable Extra visual effects because of the packages that option installs. Other than not having some fancy features like window wobble...my system is fully functional now with VNC and the necessary packages. Hope this helps!

Chris Balcum (sherl0k) wrote :

Sorry but I have to disagree. I have seen this bug with ATI drivers also, along with nVidia. I bet Intel drivers would do the same thing.

As long as compiz is running, VNC cannot work unless xdamage is disabled (x11vnc can do this). But that is not a solution, it's merely a workaround.

The problem lies either within compiz code or with xorg code.

I would like to add that I have also experienced this bug under ati drivers
this is not an nvidia issue at all.

Its extremely discouraging to see how little progress has been made with
this over the months. This is a major regression which affects me every day.

On Jul 12, 2009 6:53 PM, "Chris Balcum" <email address hidden> wrote:

Sorry but I have to disagree. I have seen this bug with ATI drivers
also, along with nVidia. I bet Intel drivers would do the same thing.

As long as compiz is running, VNC cannot work unless xdamage is disabled
(x11vnc can do this). But that is not a solution, it's merely a
workaround.

The problem lies either within compiz code or with xorg code.

-- Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
fglrx driver https://b...

Apparently it's agreed by all of us that this bug is manifest using nvidia (and ATI, and virtualbox, ?others?) drivers. But the 'trigger' is a change in one of the packages added to Jaunty. Fixing the offending package will restore functionality.

I installed Compiz 0.7.8 (intrepid's package) and dependencies manually last night with no change in [lack of] functionality.

(Can someone else install an earlier version of Compiz in Jaunty to back me up? )

In the meantime, disable Compiz (visual effects) and use Metacity Compositing if you 'need' a compositing manager; or use the vino workaround from Jonh Wendell if you can spare the bandwidth. Both options will allow us to keep full resolution and use VNC, but we've still lost functionality.

Xorg devs..... we're anxious to see what you find. :)

J N B (wdflr73) wrote :

To answer Travis Watkins's earlier questions:

In my experience:
1. VNC works using Metacity compositing.
2. Using Intrepid's Compiz with Jaunty's everything else still does not work.

(Those are my previous comments in a nutshell.)

NoOp (glgxg) wrote :

When you use metacity composting you are not enabling any 'Extra'/additional visual effects. As others have already reported, this is the issue. Simply turning off additional visual effects isn't an answer or solution, it's a poor workaround. Vino seems to think that they have resolved the issue:
http://bugzilla.gnome.org/show_bug.cgi?id=533613
 Comment #3 from André Klapper (points: 30)
2009-05-13 11:25 UTC [reply]

This bug has also been fixed for 2.26.2:
http://git.gnome.org/cgit/vino/commit/?h=gnome-2-26&id=f5260a2ad0ad9f3b1c673f6a52a938abd2a58dbb

For jaunty:
$ apt-cache policy vino
vino:
  Installed: 2.26.1-0ubuntu1
  Candidate: 2.26.1-0ubuntu1
  Version table:
 *** 2.26.1-0ubuntu1 0
        100 /var/lib/dpkg/status

Has anyone tried vino 2.26.2 to see if that works?
https://launchpad.net/ubuntu/+source/vino
karmic development main release 2.26.2-1ubuntu1

naguz (naguz-gmx) wrote :

freenx server is affected by the same bug. Seeing as nomachine nx server was reported working, I will try that. Seeing as thi bug is not present when runing freenx in arch, which has a newer Xorg, i guess this is already fixed upstream, and i hope a bugfix will come soon.

I think a posting very early in the thread suggested that a fix (Vino) was available in Debian, but not yet available in Ubuntu.  I haven't seen any other confirmation of this statement.  I also haven't seen anyone defnitively isolate the problem (Compiz, binary/free drivers, updated restricted drivers, X, Vino, etc.)

Manually installing packages at different versions is quite a bit a bit over my head.  Based on your post below, it seems like you are a good candidate for isolating the package / version where the regression occurred.

Are you able to restore 9.04's Compiz and try 8.10's Vino to see if it is a Vino regression?

________________________________
From: J N B <email address hidden>
To: <email address hidden>
Sent: Sunday, July 12, 2009 11:02:52 PM
Subject: [Bug 353126] Re: Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver

Apparently it's agreed by all of us that this bug is manifest using
nvidia (and ATI, and virtualbox, ?others?) drivers.  But the 'trigger'
is a change in one of the packages added to Jaunty.  Fixing the
offending package will restore functionality.

I installed Compiz 0.7.8 (intrepid's package) and dependencies manually
last night with no change in [lack of] functionality.

(Can someone else install an earlier version of Compiz in Jaunty to back
me up? )

In the meantime, disable Compiz (visual effects) and use Metacity
Compositing if you 'need' a compositing manager; or use the vino
workaround from Jonh Wendell if you can spare the bandwidth.  Both
options will allow us to keep full resolution and use VNC, but we've
still lost functionality.

Xorg devs..... we're anxious to see what you find.  :)

--
Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver
https://bugs.launchpad.net/bugs/353126
You received this bug notification because you are a direct subscriber
of the bug.

Status in GNOME Remote Desktop: Fix Released
Status in X.Org X server: Confirmed
Status in “vino” package in Ubuntu: Confirmed
Status in “xorg-server” package in Ubuntu: New

Bug description:
Binary package hint: compiz

When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.

Steps to reproduce:
Enable desktop-effects (default) with nvidia-restricted driver
Enable remote desktop
Connect with VNC

Results:
You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
Notes:
If you close and restart the vnc session, you get an updated snapshot but still no refreshes.

Workarounds:
Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
Kill compiz and use a different wm (metacity).

This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .

Intrepd (sdevine-comcast) wrote :

I installed 2.62.2 and it does indeed allow you to disable XDamage via
the gconf key 'disable_xdamage' boolean. I think this is still
considered a work around and not a fix.

NoOp wrote:
> When you use metacity composting you are not enabling any 'Extra'/additional visual effects. As others have already reported, this is the issue. Simply turning off additional visual effects isn't an answer or solution, it's a poor workaround. Vino seems to think that they have resolved the issue:
> http://bugzilla.gnome.org/show_bug.cgi?id=533613
> Comment #3 from André Klapper (points: 30)
> 2009-05-13 11:25 UTC [reply]
>
> This bug has also been fixed for 2.26.2:
> http://git.gnome.org/cgit/vino/commit/?h=gnome-2-26&id=f5260a2ad0ad9f3b1c673f6a52a938abd2a58dbb
>
> For jaunty:
> $ apt-cache policy vino
> vino:
> Installed: 2.26.1-0ubuntu1
> Candidate: 2.26.1-0ubuntu1
> Version table:
> *** 2.26.1-0ubuntu1 0
> 100 /var/lib/dpkg/status
>
> Has anyone tried vino 2.26.2 to see if that works?
> https://launchpad.net/ubuntu/+source/vino
> karmic development main release 2.26.2-1ubuntu1
>
>

I replace the vino with x11vnc before that there is no real fix
I use gnome but with krfb and KRDC there is the same problem, screen not refresh in client machine

My temporary work around and not a fix
# sudo apt-get remove vino
# killall vino-server
# sudo apt-get install x11vnc
# x11vnc -storepasswd password /path/to/passfile
# x11vnc -rfbauth /path/to/passfile
# x11vnc --noxdamage -rfbauth /path/to/passfile -forever -ncache 10 & > /dev/null

Bryce Harrington (bryce) wrote :

Hi andrew-barbaccia,

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue. If you've made any customizations to your /etc/X11/xorg.conf please attach that as well.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
tags: added: needs-lspci-vvnn
Changed in xorg-server (Ubuntu):
status: New → Incomplete
Lorenzo (lsutton) wrote :

Had the same problem updating to 9.04 (ATI graphics card)

I managed to work-around by following part of this old forum post:
http://ubuntuforums.org/showthread.php?t=470306

That is:
- Install x11vnc and vnc-common:

   sudo apt-get install x11vnc vnc-common

- Disable vino (preferences -> remote desktop)
- Start the vnc server:

sudo /usr/bin/x11vnc -rfbauth /etc/vnc.passwd -noxdamage -forever -bg -o /var/log/x11vnc.log -rfbport 5900

Hope this helps,
Lorenzo

Sergey Sedov (serg-sedov) wrote :

I have same problem.

When compiz desktop effects is ON and nvidia-restricted driver installed the vnc server will not refresh the screen. If compiz is OFF then vnc works good.

>>>
Bryce Harrington wrote on 2009-07-21:

Please attach the output of `lspci -vvnn`, and attach your /var/log/Xorg.0.log (and maybe Xorg.0.log.old) file from after reproducing this issue

My files:

Sergey Sedov (serg-sedov) wrote :

>> lspci -vvnn

Can anyone test to see if this is still prevalent in Karmic Koala? I can't
quite check until Sunday night.

On Fri, Jul 24, 2009 at 1:46 PM, Sergei Sedov <email address hidden> wrote:

> >> lspci -vvnn
>
> ** Attachment added: "lspci -vvnn"
> http://launchpadlibrarian.net/29490159/lspci%20-vvnn
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>

--
Julian Lam
Hons. BMus. III
(416) 843-4323

On 07/24/2009 11:18 AM, Julian Lam wrote:
> Can anyone test to see if this is still prevalent in Karmic Koala? I can't
> quite check until Sunday night.

See:
<https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/112>

When I connect to karmic amd64 in VirtualBox with desktop effects turned on, I just get a black window in the vnc viewer (at least in Jaunty it draws the initial window).

mmorris (mmorris) wrote :
Download full text (3.6 KiB)

Seems that this has not been resolved yet ... not trying to beat a dead horse, but to provide more information I will describe my experience with this issue.

I have three machines I used:

Laptop:
- Ubuntu 9.04 i386 (clean install)
- non NVidia video card
- the machine running Remote Desktop Viewer (vinagre 2.26.1-0ubuntu1)
- Visual Effects set to Extra

File Server:
- Ubuntu 8.10 i386 (clean install)
- NVidia video running NVIDIA accelerated graphics driver (version 173)
- a machine runing vino 2.24.1-0ubuntu1 (VNC server)
- Visual Effects set to Extra

Workstation
- Ubuntu 9.04 amd64 (clean install)
- NVidia video running NVIDIA accelerated graphics driver (version 180)
- a machine runing vino 2.26.1-0ubuntu1 (VNC server)
- Visual Effects set to None, Normal, Extra

1) I was doing a clean install of Ubuntu 9.04 amd64 on Workstation. The Visual Effects on Workstation were defaulted to "Normal". Just after the installation (before doing anything to the system), I VNCed into Workstation from Laptop. At the same time I VNCed into File Server from Laptop. At that point in time, both VNC sessions worked perfectly.

2) While VNCed into Workstation from Laptop, On Workstation I installed the NVIDIA accelerated graphics driver (version 180). It did not ask me to reboot, so I did not at that time (but I had a sneaking suspicion that I needed to have the new driver run.) At that point in time, both VNC sessions worked perfectly.

3) Still while VNCed into Workstation from Laptop, On Workstation (just after installing the NVidia driver) I ran the Update Manager and updated everything (July 24 2009) at which point I was prompted to reboot Workstation. Again just prior to rebooting Workstation, both VNC sessions worked perfectly.

4) After rebooting and logging into Workstation, I VNCed into it from Laptop. The Visual Effects on Workstation were still set to "Normal". The initial display seemed to work but there were no updates. However it appeared that mouse clicks and keystrokes were sent to Workstation from Laptop (was able to see Workstation's Monitor). If I shut the the Remote Desktop Viewer on Laptop down and brought it back up and re-VNCed into Workstation, the display updated to what was shown on Workstation, but there were no further updates. VNCing into File Server from Laptop continued to work perfectly.

5) I rebooted Workstation and Laptop a number of times, still same result VNCing into Workstation from Laptop did not update, while VNCing into File Server from Laptop it worked (updated). Trying to debug this some more, I tried VNCing into Workstation from File Server (did not update), and into Laptop from File Server (updated).

6) I found this bug report, switched Workstation's Visual Effects to "None", VNCed into Workstation from Laptop and it updated.

To recap...
Laptop --> Workstation (pre NVidia driver, Normal visual effects) == updates
Laptop --> Workstation (post NVidia driver, Normal visual effects) == no updates
File Server --> Workstation (post NVidia driver, Normal visual effects) == no updates
Laptop --> File Server == updates
File Server --> Laptop == updates
Laptop --> Workstation (post NVidia driver, None visu...

Read more...

edy80y (dj-eddie) wrote :

I would just like to add something that i have recently noticed. [Running Jaunty 9.04 with all system updates]

We all know that the screen does not refresh, but now something else is happening.

My compiz effects are always on, and when im at work and want to remote in, i do this:

1-connect, right click on desktop, disconnect
2-select 'change desktop background', disconnect
3-select 'visual effect', disconnect
4-select 'no effects' and away i go.

each time i used to reconnect, the screen would show what i had previously done, therefore i was able to step through each time to turn compiz effects off. Now it doesnt show what i had previously done. i dont know if the button clicks are not working, or if the screen is not refreshing.

Cheers,
Eddie

rordiales (ramon) wrote :

Ubunto 9.04 with NVidia Drivers is not working using VNC (Vino).

Moreover, FreeNX in shadow mode can't enter into login display (session is showed as "gmd" user and connection is refused)

rordiales (ramon) wrote :

And what is the easiest way to install those patchs?

any workarround instead?

lost_soul (lost-soul-inbox) wrote :

if it helps here's my lspci attached ..

lost_soul (lost-soul-inbox) wrote :

and my xorg log as well ..

hanasaki (hanasaki-ubuntu) wrote :

Perhaps a good RDP program instead of VNC? This would make it work with Windows (w/o client software) and Linux. What options are available and has anyone tried them?

There is FreeNX and google recently released their own version called neatx

http://code.google.com/p/neatx/

On Tue, Aug 18, 2009 at 3:45 PM, hanasaki <email address hidden>wrote:

> Perhaps a good RDP program instead of VNC? This would make it work with
> Windows (w/o client software) and Linux. What options are available and
> has anyone tried them?
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>

A good rdp like program already exsists, either freeNX or noMachines's free NX work great, and I use them all the time to connect to several of my linux computers from bith linux and windows machines. However, VNC canserves a similar but different purpose, VNC allows you to loginto an exsisting x session and view / control that session. Both RDP and NX start new sessions. Often times I need to get access to a session that is already running and perhaps is use by someone else either to show them something or to have them show me something on their screen

Craig Kelley (ink) wrote :

I've packaged the latest upstream vino for Jaunty, if anyone wants it. It allows you to disable XDamage, which makes VNC as slow as molasses, but it works.

http://www.xmission.com/~ink/vino/

It's a kludge of a workaround, not a real solution. At least I can check my POP mail remotely with it.

Well I hate to put my 2 cents worth in since there are plenty of complaints already, but I too have the same annoying problem. And it's this type of things that gives a great OS a bad rap for the average user. I know how to get to the work a rounds but average Joe would just give up and go to the OTHER OS's.
Is ther any hope for a fix on this yet? Seems to be well known and a problem for awhile.

XCan (xcan-) wrote :

I am not surprised it isn't fixed. If you look in Ubuntu's forum, every time anyone asks about VNC they get attacked with a bunch of people telling them to use SSH instead. I guess many of the involved people haven't realized yet that X forwarding or even FreeNX don't have the same functionalities and never have. Some people do use their machines to work, and some people do like to work from several places. Currently Windows' remote desktop capabitilites mutilates the joke in Ubuntu. Even if it would work it's still questionable why one would choose Vino, and especially why one would by standard choose vinagre, which has to be one of the suckiest clients available. :p

Chris Roddy (cmr) wrote :

I really wish we'd stop getting these excessively fresh versions of Xorg. I can usually stand bleeding-edge software, but this stuff is ripped straight from the spleen and marrow.

Dez (stinger30au) wrote :

i tried this agian last night with a freind of mine accros town, both running 9.04

we both disabled compiz and told it to use metacity

same thing, takes about 10 minutes to just bring up the desktop

crazy stuff, at least when i was connecting to my friend to help him when he had 8.04 it was useable

Chirs, your right, and there in lays the problem. But it's our own. I made the choice tho run 9.04, knowing it would have some possible problems. So I shouldn't snivel and I now recall that in the download site it say 8.04 is "ideal for larger deployment", which many of us means stable. My problem is newcomers into Ubuntu 9.04 see latest version at the site and so assumes 8.04 means old, which it is. The new user doesn't know that it also means one is considerably more stable than the other. Frustration can them continue the mantra that Linux sucks as an OS which in fact we know it's the best.

Of course this is something to take up in another forum and so I shall. I like the Debian way they simply tell you stable. testing, unstable. And we more knowledgeable users know 9.04 is the testing branch so expect hiccups.
SO SORRY FOR THE WHINING, MY BAD!!!!!

So to bring this full circle that's why there is Launchpad to post the problems so they can address them, as we have.
Thank you for the great work you all do here and please forgive our impassions it's in our nature, or we'd be using 8.04.

Is the fix for that included in server 1.6 that ubuntu uses

Travis Watkins (amaranth) wrote :

Just adding those patches doesn't do anything, drivers have to be modified to provide the other half the functionality. Honestly I'm not even sure if that is going to fix this problem, seems to be something nvidia specific.

XCan (xcan-) wrote :

Well apparently people are reporting to same issues with AMD/ATi cards. And if it indeed is purely driver issue, why does the exact same drivers work in, for example, 8.10?

koshari (holto2go) wrote :

wow, 5 months and still no fix or even a clue as to what this prob is, with reports of the same regression in 9.10 it looks like my work around may be a new mobo with intel graphics.

Changed in vino:
status: Fix Released → Incomplete

Oh by the way all this time and I have neglected to mention that this is also a problem for my Intel laptop chipset which is the 4500MHD in an HP dv5. So it's not just limited to nvidia/VirtualBox/ATI.

Josh (majik) wrote :

Hi,

Doing nothing is not a solution.

Either everything needs to work together or something needs to be changed.

There are four possible outcomes to this debacle:

1. Do nothing and:

a) ...ignore the problem because fixing it would be too hard.
b) ...blame someone else (problem with drivers etc)

2. If the Vino server is not going to work with Desktop Effects enabled, there should be a notification when the user enables the Remote Desktop feature telling them that it won't work unless Desktop Effects is disabled.

3. Add a script to the Lock Screen command that shuts off Compiz Fusion and replaces it with Metacity (something like export DISPLAY=:0.0 ; killall -9 compiz.real ; metacity --replace ) -- then add a script to the Unlock Screen command that turns Compiz Fusion back on.

4. Replace Vino with a more useful remote desktop solution.

---

Please pick one of two through four.

Josh (majik) wrote :

This is a link to my post on the Ubuntu Forums regarding this problem with a workaround posted by another community member:

http://ubuntuforums.org/showthread.php?t=1270527

Nicolas11 (ngranier) wrote :

Big problem for use of Ubuntu in a school as a teacher. I just work with Intrepid in a room, with 20 computers and all is working fine : vnc and compiz. It's impossible to use scripts or ask everybody to switch off compiz each time i want to use vino. So I just don't come to jaunty at this time. It's a pity because jaunty is much more fast and use OOo 3.1. I hope someone will arrive to fix this bug wich is coming with intel graphic card too.

On Sat, Sep 19, 2009 at 6:35 PM, granier nicolas
<email address hidden>wrote:

> Big problem for use of Ubuntu in a school as a teacher. I just work with
> Intrepid in a room, with 20 computers and all is working fine : vnc and
> compiz. It's impossible to use scripts or ask everybody to switch off
> compiz each time i want to use vino. So I just don't come to jaunty at
> this time. It's a pity because jaunty is much more fast and use OOo 3.1.
> I hope someone will arrive to fix this bug wich is coming with intel
> graphic card too.
>
>
Nicolas,

You can gain access remotely by SSH'ing to the device and running:
DISPLAY=:0 metacity --replace &

This will disable compiz on the primary display, thus allowing you to
remotely manage.

Its not a fix, but a workaround when you are remote.

While I agree that the problem is irritating, frankly i've switched to FreeNX and haven't looked back. It's faster than vino ever was, and doesn't have the problems.

Surely FreeNX is faster, but it can't be seen as a solution since it serves
a whole other task. Sometime you just need to get in the *current* session,
and not in a newly started...

2009/9/21 Dave <email address hidden>

> While I agree that the problem is irritating, frankly i've switched to
> FreeNX and haven't looked back. It's faster than vino ever was, and
> doesn't have the problems.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Grüße, Tobias Baeumer
(Web: http://mcdope.berserks.org | Blog: http://blog.mcdope.berserks.org)

@Tim - re comment #145:

Thanks for that:
"You can gain access remotely by SSH'ing to the device and running:
DISPLAY=:0 metacity --replace &"

That works. However there is a problem when switching the target machine back to compiz. I have three workspaces on the target & switch it back using:

DISPLAY=:0 compiz --replace &

Window Switcher defaults to only 2 workspaces. Checking preferences on WS on the target machine still shows 3 workspaces, but only 2 are available. The only way to get it back to three (as far as I can figure out) is for the target to use System|Preferences|Appearance|None then Extra. Following that the original 3 workspaces are restored.
Any suggestions on what to change in 'DISPLAY=:0 compiz --replace &' to restore the original number of workspaces?

In the newest karmic with xserver 1.7 this is still an issue. Bug 595949 (https://bugzilla.gnome.org/show_bug.cgi?id=595949) has been opened with slightly more information.

I have just opened a bug report in gnome since this still persists in 9.10 and seems to be vino specific. (https://bugzilla.gnome.org/show_bug.cgi?id=595949)

A gconf option (/desktop/gnome/remote_session/disable_xdamage) has been added to disable the xdamage extension which is a temporary workaround although it requires more bandwidth. Enable the option through gconf-editor.

Please limit comments on bug reports to items that are related to development. Adding "me too", suggesting software alternatives and all other rants should be held in the forums. :)

Hopefully this gets fixed before 9.10...

J N B (wdflr73) wrote :

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/124

This Bug has been fixed but not applied!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

It's with Xorg Server, like I said months ago!!!!

Can we please get the fix ?????

Louis (louis-van-breda) wrote :

Hello,

This problem is NOT related to Nvidia. I have exactly the same problem running a motherboard with integrated ATI/AMD grafics.
So I suppose it is not in the grafic driver but in another package.

It is a *very serieus problem IMHO*. I need VNC to maintain the server !!
Also note that I need a VNC version which can connect to the login screen, in oposite to connect to u user.

Louis
PS Running 9.04 x64 latest updates with the AMD via Ubuntu provided driver.

Josh (majik) wrote :

Hi all,

The people who can help with this problem have recommended that we move the discussion to the Ubuntu Forums.

Each post into this bug takes away from the time they have to fix the problem because they have to spend the time reading our comments instead.

I recommend that we move suggestions, arguments and edge cases to this thread on the forums:

http://ubuntuforums.org/showthread.php?t=1270527

We can post our comments there and if there is more feedback needed from us they can check on the forum.

This issue is still there on an up to date fedora 11 machine.

I'm using vino for the desktop sharing service, have desktop effects enabled, and an nvidia graphic card.

I've tried vinagre and vncviewer in order to connect to vino, and I obtain the exact same behaviour than what the original reporter described.

Will this bug be reopened, or do I need to open a new one ?

Tiny122 (mike-seal) wrote :

I have installed a standard 9.04 installation and the nVidia restricted driver and I am experiencing the same problem. I have got round the bug by disabling the screen effects. Nightmare as I use VNC a lot.

Matt (meh106) wrote :

I'm still seeing this issue on karmic koala 9.10 (just upgraded today). Using latest nvidia restricted drivers on a dual monitor setup.

The same workaround of switching to metacity still works. But I was really looking forward (hoping!) to be able to use compiz again :-)

Gauthic (gauthic) wrote :

I'm also still experiencing this bug even with a fresh install of 9.10 Desktop & nvidia-restricted drivers.

kd4dii (kd4dii-comcast) wrote :

I am also having problems with this. 2 machines, each with an ATI card, running 9.1. Interestingly enough, when I VNC from the desktop to the laptop it works normally. But, when I VNC from the laptop I get the screen freeze thing.
Bob

Dan Burke (dan-burke) wrote :

This bug was not fixed in either Jaunty or Karmic. From the upstream reports it hasn't been fixed upstream either, so it will probably not be fixed in Lucid either. The only true fix/workaround is to reinstall Intrepid which is the last version which had a working VNC + Active Compiz integration.

jose (jose-cybergalvez) wrote :

is there any plan to get this fixed? the workaround is painfully slow and rumors are that there is a fix in xorg that should resolve the issue but I have yet to see any real absolute fix

what is the fix in xorg you're talking about?

On Mon, Nov 2, 2009 at 10:30 PM, jose <email address hidden> wrote:
> is there any plan to get this fixed? the workaround is painfully slow
> and rumors are that there is a fix in xorg that should resolve the issue
> but I have yet to see any real absolute fix
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>

nhasian (nhasian) wrote :
Download full text (3.6 KiB)

To my knowledge, the bug was indeed fixed in the new xorg, but xorg was
delayed and wasnt released in time to be included in karmic. Looks like
we'll have to wait some more till Lucid arrives with the new xorg and
xserver

On Mon, Nov 2, 2009 at 10:40 PM, KruyKaze <email address hidden> wrote:

> what is the fix in xorg you're talking about?
>
> On Mon, Nov 2, 2009 at 10:30 PM, jose <email address hidden> wrote:
> > is there any plan to get this fixed? the workaround is painfully slow
> > and rumors are that there is a fix in xorg that should resolve the issue
> > but I have yet to see any real absolute fix
> >
> > --
> > Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> > https://bugs.launchpad.net/bugs/353126
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in GNOME Remote Desktop: Incomplete
> > Status in X.Org X server: Confirmed
> > Status in “vino” package in Ubuntu: Confirmed
> > Status in “xorg-server” package in Ubuntu: Incomplete
> >
> > Bug description:
> > Binary package hint: compiz
> >
> > When using the nvidia-restricted driver and compiz desktop effects the
> vnc server will not refresh the screen. This is being caused by the xserver
> not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm
> this is not an issue on intel chipsets or nv driver.
> >
> > Steps to reproduce:
> > Enable desktop-effects (default) with nvidia-restricted driver
> > Enable remote desktop
> > Connect with VNC
> >
> > Results:
> > You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> > Notes:
> > If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
> >
> > Workarounds:
> > Use the -noxdamage argument with vncviewer. This is really inefficient
> and bandwidth hungry since the whole screen refreshes.
> > Kill compiz and use a different wm (metacity).
> >
> > This bug has been confirmed by many others with linked reports. Might be
> an issue with xorg since there is a report of ATI drivers with similar
> issues in https://bugs.launchpad.net/bugs/328559 .
> >
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen...

Read more...

> Looks like we'll have to wait some more till Lucid arrives with the new xorg and xserver

Yes because it totally make sense to wait two years for a major revision of an OS to fix a critical yet broken feature.

Remote desktop? Why no, my OS doesn't have that because it's called "karmic" not "lucid." I'll have to wait two years to have what Windows users and most other operating systems have had since ooooh, about 2000, possibly earlier.

The worst is that the fix has been released (view earlier messages) but not
implemented in ubuntu.

On Tue, Nov 3, 2009 at 9:31 AM, Josh <email address hidden> wrote:

> > Looks like we'll have to wait some more till Lucid arrives with the
> new xorg and xserver
>
> Yes because it totally make sense to wait two years for a major revision
> of an OS to fix a critical yet broken feature.
>
> Remote desktop? Why no, my OS doesn't have that because it's called
> "karmic" not "lucid." I'll have to wait two years to have what Windows
> users and most other operating systems have had since ooooh, about 2000,
> possibly earlier.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>

Oh man this sucks. I really wish I hadn't upgraded(fresh install) from 8.04.*
Everythign was wroking fine. EVEN REMOTE DESKTOP W/ DESKTOP EFFECTS TURNED ON. This sucks.
This is one of the few times I've been extremely disappointed with my Linux OS

hackel (hackel) wrote :

Wow, what a whine-fest! You people don't seem to understand what compositing is... You would NOT want desktop effects transmited over a VNC connection, the end-result would be horrible. Would you try to play a 3D game over VNC? I'm surprised it even works at all with the latest X.org. If you want desktop effects, they need to be rendered locally. Take a look at xdmx and Suse's Nomad http://en.opensuse.org/Nomad I think the latter is a good candidate for inclusion in the next Ubuntu as it seems quite user friendly already. So please, stop salivating at the mouth and just turn off compositing/desktop effects if you want to use VNC. It's that simple.

Also--for a quick, easy and user-friendly solution, install fusion-icon. It will easily let you switch between Compiz and Metacity on the fly...

FYI--for those of you bitching about VNC working on other operating systems, you really have no clue what you are talking about. X was *designed* as a remote desktop solution long before it was even possible on Windows. VNC was also designed for X and only later ported to Windows. Windows didn't even have compositing (DWM) until Visa, and VNC will work just as badly with it enabled as it does on Ubuntu. And to "John Doe:" there is no "Linux OS". Ubuntu is an OS, which runs the Linux kernel. There is no "Linux OS," don't blame the kernel developers for a problem that has nothing to do with them at best, and is only user-error at worst.

jose (jose-cybergalvez) wrote :

people whine because this worked very well before with composting working. The reason people like vnc is that its cross-platform, s I can connect to my desktop from some other machine regardless of what machine I'm on. from your rant, at least you point to xrdp which could be a real solution and not a workaround

XCan (xcan-) wrote :

That's not the point is it? No one here has claimed to want to run games through VNC, however, they do wonder why there is a broken-out-of-the-box-built-in function in Ubuntu to handle remote desktop. And unless I have missed something, if one turns off the visual effects or on, all windows from all desktops will be clogged into one single workspace. That's hardly ideal for seamless work (yes some people do use their computer to work on). Besides, the remote desktop as jose pointed out has worked prior Jaunty, there is a fix out, it is a valid bug, and there is no reason NOT to wanting it fixed tbh.

The last paragraph on your post hackel, I, however, completely agree on.

Achim (ach1m) wrote :

Just wanted to say, that everything is working out of the box here.

I have tested this with two system both with intel graphics (Karmic).
I also tested both directions. One system has a gma945 and the other has a X4500HD.

As far as I understand this problem it seems, that only proprietary drivers are affected.

Regards
Achim

is there a way to toggle compiz from terminal and not loose the compiz
settings everytime?

On Sun, Nov 15, 2009 at 9:29 AM, Achim <email address hidden> wrote:
> Just wanted to say, that everything is working out of the box here.
>
> I have tested this with two system both with intel graphics (Karmic).
> I also tested both directions. One system has a gma945 and the other has a X4500HD.
>
> As far as I understand this problem it seems, that only proprietary
> drivers are affected.
>
> Regards
> Achim
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>

Am Montag, den 16.11.2009, 01:49 +0000 schrieb KruyKaze:
> is there a way to toggle compiz from terminal and not loose the compiz
> settings everytime?

You can try:

metacity --replace &

and

compiz --replace &

I don't know if this is the best way, but it seems to work.
If the paneles are invisible after switching back to compiz, simply
click on them, then they should appear again.

Regards
Achim

oh thanks i'll give it a try. why wouldn't this be integrated with vnc?

On Mon, Nov 16, 2009 at 6:13 AM, Achim <email address hidden> wrote:
> Am Montag, den 16.11.2009, 01:49 +0000 schrieb KruyKaze:
>> is there a way to toggle compiz from terminal and not loose the compiz
>> settings everytime?
>
> You can try:
>
> metacity  --replace &
>
> and
>
> compiz --replace &
>
> I don't know if this is the best way, but it seems to work.
> If the paneles are invisible after switching back to compiz, simply
> click on them, then they should appear again.
>
> Regards
> Achim
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>

Am Montag, den 16.11.2009, 13:31 +0000 schrieb KruyKaze:
> oh thanks i'll give it a try. why wouldn't this be integrated with vnc?

I think this wouldn't make to much sense.

As I see it, this is only a bug of proprietary drivers that don't
integrate very well into the infrastructure.

The right solution is to tell NVIDIA and AMD to fix up there drivers.

Regards
Achim

I am unsubscribing from this bug.
I contributed a significant number of hours (clear back in JULY, three months after this bug was originally reported) in an attempt to diagnose or track down the cause of this bug. My conclusion was that it was with xorg.
Subsequent posts confirmed this:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/124
Still, no patches or fixes have been applied.
My inbox continues to be filled with, "same thing here, doesn't work."
The fix, it appears, has been available since August, and yet, no one has it.
All users should help the community however they can, including with bugs, but this has made me feel like that might be a waste of time.

jackmetal (fullmetaljack) wrote :

@J N B, I have to completely agree with you. I'm unsubscribing from this one too (and the others that I've been subscribed to for a while that have NOT been resolved either). I'm very disappointed in Ubuntu at the moment and very tired of having to 'fix' things after 'every' upgrade/update, so I've begun moving all of my systems away from Ubuntu. I'm sure I'll test Ubuntu out gain in the future, but for now, It's on to a more community friendly distro (and one that I won't have to upgrade EVERY 6 months).

chrisolof (chrisolof) wrote :

@jackmetal: https://wiki.ubuntu.com/LTS

I think we need to bring more attention to this bug - and according to the Ubuntu Forums post referenced by Josh ( https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/152 http://ubuntuforums.org/showthread.php?t=1270527 ) one way to accomplish this would be to get more people to mark themselves as affected by it. Since this bug seems to affect everyone running Ubuntu post 8.10 with Compiz enabled, getting hordes of people to mark themselves as affected should be pretty easy. Here's a direct link if any of you have any avenues you might want to try:

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/+affectsmetoo

Who's on board?

the bug was due to x.org which was fixed months ago. unfortunately
x.org7.5 wasnt released till the end of October which was far too late
to include
it in 9.10 Karmic. Unless you want to manually upgrade your ubuntu to the
latest version of x.org then i guess we'll have to wait for 10.04 Lucid Lynx

On Tue, Nov 17, 2009 at 2:14 PM, chrisolof <email address hidden> wrote:

> @jackmetal: https://wiki.ubuntu.com/LTS
>
> I think we need to bring more attention to this bug - and according to
> the Ubuntu Forums post referenced by Josh (
> https://bugs.launchpad.net/ubuntu/+source/xorg-
> server/+bug/353126/comments/152
> http://ubuntuforums.org/showthread.php?t=1270527 ) one way to accomplish
> this would be to get more people to mark themselves as affected by it.
> Since this bug seems to affect everyone running Ubuntu post 8.10 with
> Compiz enabled, getting hordes of people to mark themselves as affected
> should be pretty easy. Here's a direct link if any of you have any
> avenues you might want to try:
>
> https://bugs.launchpad.net/ubuntu/+source/xorg-
> server/+bug/353126/+affectsmetoo
>
> Who's on board?
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc
> server will not refresh the screen. This is being caused by the xserver not
> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
> is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>

KruyKaze (kruykaze) wrote :
Download full text (4.3 KiB)

That sounds more reasonable.is there a tutorial for upgrading xorg safely?

On Tue, Nov 17, 2009 at 4:37 PM, nhasian <email address hidden> wrote:
> the bug was due to x.org which was fixed months ago.  unfortunately
> x.org7.5 wasnt released till the end of October which was far too late
> to include
> it in 9.10 Karmic.  Unless you want to manually upgrade your ubuntu to the
> latest version of x.org then i guess we'll have to wait for 10.04 Lucid Lynx
>
> On Tue, Nov 17, 2009 at 2:14 PM, chrisolof <email address hidden>
> wrote:
>
>> @jackmetal:  https://wiki.ubuntu.com/LTS
>>
>> I think we need to bring more attention to this bug - and according to
>> the Ubuntu Forums post referenced by Josh (
>> https://bugs.launchpad.net/ubuntu/+source/xorg-
>> server/+bug/353126/comments/152
>> http://ubuntuforums.org/showthread.php?t=1270527 ) one way to accomplish
>> this would be to get more people to mark themselves as affected by it.
>> Since this bug seems to affect everyone running Ubuntu post 8.10 with
>> Compiz enabled, getting hordes of people to mark themselves as affected
>> should be pretty easy.  Here's a direct link if any of you have any
>> avenues you might want to try:
>>
>> https://bugs.launchpad.net/ubuntu/+source/xorg-
>> server/+bug/353126/+affectsmetoo
>>
>> Who's on board?
>>
>> --
>> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
>> fglrx driver
>> https://bugs.launchpad.net/bugs/353126
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in GNOME Remote Desktop: Incomplete
>> Status in X.Org X server: Confirmed
>> Status in “vino” package in Ubuntu: Confirmed
>> Status in “xorg-server” package in Ubuntu: Incomplete
>>
>> Bug description:
>> Binary package hint: compiz
>>
>> When using the nvidia-restricted driver and compiz desktop effects the vnc
>> server will not refresh the screen. This is being caused by the xserver not
>> getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this
>> is not an issue on intel chipsets or nv driver.
>>
>> Steps to reproduce:
>> Enable desktop-effects (default) with nvidia-restricted driver
>> Enable remote desktop
>> Connect with VNC
>>
>> Results:
>> You see a screen snapshot of your desktop but if you click a menu item
>> there are no updates to the screen.
>> Notes:
>> If you close and restart the vnc session, you get an updated snapshot but
>> still no refreshes.
>>
>> Workarounds:
>> Use the -noxdamage argument with vncviewer. This is really inefficient and
>> bandwidth hungry since the whole screen refreshes.
>> Kill compiz and use a different wm (metacity).
>>
>> This bug has been confirmed by many others with linked reports. Might be an
>> issue with xorg since there is a report of ATI drivers with similar issues
>> in https://bugs.launchpad.net/bugs/328559 .
>>
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package...

Read more...

J N B (wdflr73) on 2009-11-20
summary: Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
- fglrx driver
+ fglrx driver using X.org prior to version 7.5
summary: Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
- fglrx driver using X.org prior to version 7.5
+ fglrx driver using X.org prior to release 7.5

(In reply to comment #14)
> This issue is still there on an up to date fedora 11 machine.
>
> I'm using vino for the desktop sharing service, have desktop effects enabled,
> and an nvidia graphic card.
>
> I've tried vinagre and vncviewer in order to connect to vino, and I obtain the
> exact same behaviour than what the original reporter described.
>
> Will this bug be reopened, or do I need to open a new one ?

I can confirm same bug with ubuntu...I have networked computer with my sister and she was running ubuntu 8.10 ...vino worked fine...But when I upgraded her to 9.04 (yes 9.10 is out) her vino started doing what has been described.

Fresh install ubuntu x86_64 with nvidia prop drivers 190.42
managed to compile and install latest xorg-server. compiz and vino are latest i could find. Xorg -version:

X.Org X Server 1.7.1
Release Date: 2009-10-23
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.31-14-generic x86_64
Current Operating System: Linux htpc 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 144
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=547ef98a-o
Build Date: 26 November 2009 07:35:59PM

Current version of pixman: 0.16.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.

Still no result. Vnc viewer on my laptop never refreshes the screen. Thought I was getting somewhere, but nada

I was under the impression that yo needed xorg 7.5

On Thu, Nov 26, 2009 at 7:11 PM, jocefus <email address hidden> wrote:
> Fresh install ubuntu x86_64 with nvidia prop drivers 190.42
> managed to compile and install latest xorg-server. compiz and vino are latest i could find. Xorg -version:
>
> X.Org X Server 1.7.1
> Release Date: 2009-10-23
> X Protocol Version 11, Revision 0
> Build Operating System: Linux 2.6.31-14-generic x86_64
> Current Operating System: Linux htpc 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 144
> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic root=UUID=547ef98a-o
> Build Date: 26 November 2009  07:35:59PM
>
> Current version of pixman: 0.16.2
>        Before reporting problems, check http://wiki.x.org
>        to make sure that you have the latest version.
>
> Still no result. Vnc viewer on my laptop never refreshes the screen.
> Thought I was getting somewhere, but nada
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted driver and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted driver
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>

Eli Klein (elijah-aclue) wrote :
Download full text (4.1 KiB)

I believe 1.7.1 is xorg R7.5.

On Thu, Nov 26, 2009 at 7:22 PM, KruyKaze <email address hidden> wrote:

> I was under the impression that yo needed xorg 7.5
>
> On Thu, Nov 26, 2009 at 7:11 PM, jocefus <email address hidden> wrote:
> > Fresh install ubuntu x86_64 with nvidia prop drivers 190.42
> > managed to compile and install latest xorg-server. compiz and vino are
> latest i could find. Xorg -version:
> >
> > X.Org X Server 1.7.1
> > Release Date: 2009-10-23
> > X Protocol Version 11, Revision 0
> > Build Operating System: Linux 2.6.31-14-generic x86_64
> > Current Operating System: Linux htpc 2.6.31-14-generic #48-Ubuntu SMP Fri
> Oct 16 144
> > Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.31-14-generic
> root=UUID=547ef98a-o
> > Build Date: 26 November 2009 07:35:59PM
> >
> > Current version of pixman: 0.16.2
> > Before reporting problems, check http://wiki.x.org
> > to make sure that you have the latest version.
> >
> > Still no result. Vnc viewer on my laptop never refreshes the screen.
> > Thought I was getting somewhere, but nada
> >
> > --
> > Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org prior to release 7.5
> > https://bugs.launchpad.net/bugs/353126
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in GNOME Remote Desktop: Incomplete
> > Status in X.Org X server: Confirmed
> > Status in “vino” package in Ubuntu: Confirmed
> > Status in “xorg-server” package in Ubuntu: Incomplete
> >
> > Bug description:
> > Binary package hint: compiz
> >
> > When using the nvidia-restricted driver and compiz desktop effects the
> vnc server will not refresh the screen. This is being caused by the xserver
> not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm
> this is not an issue on intel chipsets or nv driver.
> >
> > Steps to reproduce:
> > Enable desktop-effects (default) with nvidia-restricted driver
> > Enable remote desktop
> > Connect with VNC
> >
> > Results:
> > You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> > Notes:
> > If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
> >
> > Workarounds:
> > Use the -noxdamage argument with vncviewer. This is really inefficient
> and bandwidth hungry since the whole screen refreshes.
> > Kill compiz and use a different wm (metacity).
> >
> > This bug has been confirmed by many others with linked reports. Might be
> an issue with xorg since there is a report of ATI drivers with similar
> issues in https://bugs.launchpad.net/bugs/328559 .
> >
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When u...

Read more...

Agustin (agustin-bosso) on 2009-12-08
description: updated

I was using vncviewer on FC8 through FC10 to remotely control and view
the desktop of a Mac OSX machine using the native OSX remote desktop capability (which is essentially VNC). After an upgrade to FC12, the vncviewer
on the FC12 machine now exhibits the symptoms described here-- namely, you
get one screen image which then does not update after you do anything on the Mac desktop. The keyboard and mouse traffic do move from FC12 to the Mac but screen updates in the return direction do not occur.

Also, coincident with the upgrade to FC12 from FC10, the application 'x2vnc'
now fails to work. The cursor will move down to the lower left corner of the
screen but fails to move onto the Mac desktop. I have lost the ability to control the Mac desktop from the FC12 Linux desktop as a result.

There have been no changes to the Mac OSX installation. Only the Linux machine was changed from FC10 to FC12. Additionally, it was a fresh install of FC12 rather than an in-place upgrade from FC10.

Hate to add a 'me, too' to this, but it is frustrating that it has been almost a year since I first started looking for a real solution to this problem and here I sit unable to remote in to my machine. Is there a solution to this in the works, or is it just going to be left to the affected users to fend for themselves after being told, essentially, "if it doesn't work for you then just don't use it"?

VPablo (villumar) wrote :

I think the solution is to wait for X.org 7.5 on Lucid Lynx as said on comment #175.

mercutio22 (macabro22) wrote :

But it works on Debian Squeeze using X.org 7.4. This is an "ubuntu" bug.

ken (kmailuk+launchpad) wrote :

I can also confirm I had this problem on a ASUS M3N-H/HDMI with a fresh install of Ubuntu 9.10 and the most recent NVIDIA drivers. However, disabling desktop effects resolved this issue for me.

VPablo (villumar) wrote :

This is an ubuntu 9.04 and 9.10 bug, of course, this is a X.org prior to 7.5 bug and Ubuntu 9.04 and 9.10 had X.org buggy. Nothing new. If Debian Squeeze has X.org 7.4 or 7.5 of course the bug is not present, like Ubuntu 10.04.

Is there a ppa or backport available to install the 10.04 version in 9.10?

------Original Message------
From: VPablo
Sender: <email address hidden>
To: <email address hidden>
ReplyTo: Bug 353126
Subject: [Bug 353126] Re: Compiz / vnc screen refresh with nvidia-restricteddriver/VirtualBox/ATI fglrx driver using X.org prior to release 7.5
Sent: Jan 18, 2010 10:03

This is an ubuntu 9.04 and 9.10 bug, of course, this is a X.org prior to
7.5 bug and Ubuntu 9.04 and 9.10 had X.org buggy. Nothing new. If Debian
Squeeze has X.org 7.4 or 7.5 of course the bug is not present, like
Ubuntu 10.04.

--
Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org prior to release 7.5
https://bugs.launchpad.net/bugs/353126
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Stephen Monteith

Sent from my BlackBerry® wireless device

my workaround is the folowing:
i use ssh.
ssh to the mashine by using 'ssh -CY remotehost',
with this ssh conection i can turn compis off by typing:
'metacity --replace &'
vith that done i can run vinagre on the remotehost and connect to 'localhost'

works for me.
when done i run
'compiz --replace && exit'
and everything is back to normal

snurfle (snurfle) wrote :

@Vpablo Sorry... I missed post 175.

Bard (bsbens) wrote :

Hi all,

Just in case it helps (even though it looks like the solution today - as I understood it after reading the 187 posts - is to wait for Lucid with the new X.org server) :

Environment : Ubuntu AMD64 9.10, 2 Go RAM, NVidia 185, Effects set to Normal, Vino Server
I'm accessing it from an Iphone 2G (3.1.2 Jailbreak) through SSH either in Wifi or Edge.

Edge is definitely too slow for that : first screen takes about 2 min to appear and no refresh (SSH terminal is very slow but acceptable....)

Wifi :

No refresh of the screen but I still see the mouse pointer move (far from smooth but I see it...).

With effects set to none, refresh is fine.

For all it's worth....

nhasian (nhasian) wrote :

instead of using the nvidia restricted drivers, has anyone tried it with the open source Nouveau drivers for Nvidia?

http://nouveau.freedesktop.org/wiki/UbuntuPackages

Also if your using ATI restricted drivers you could try removing them and just using the latest linux kernel 2.6.33 as it has many improvements for ATI GPUs.

Dan Burke (dan-burke) wrote :

This has nothing to do with closed source drivers. This bug only occurs with Compiz enables, which the Nouveau drivers do not support, so they are an invalid test case.

As stated before in this bug numerous times, this worked fine in 8.10 with all closed source drivers that supported Compiz. The upgrade to 9.04 broke this. It affects any environment that supports Compiz and any driver that supports Compiz.

DarthBrady (darthbradysmail) wrote :

I can Confirm this bug in Karmic 9.10 i386. I have it installed and completely updated on 2 machines in my house. Both Desktops Run Compiz and Nvidia Proprietary 173 drivers.

I have Remote Desktop Viewer Enabled on both PCs Properly, to allow remote control, ect. Here's a summary of my issue:

-When Connecting to another PC that has a screensaver running, I get a still image of the screensaver's state, and no refresh. although the screensaver does turn off on the PC it is connected to, and does have mouse and keyboard control. Although there is no screen refresh on RDV's connection so this cannot be seen.

-When connecting to another PC when the screen saver is not running, In the RDV I can see the remote desktop and see the local mouse cursor locked over the remote desktop's mouse cursor and they move together (with no lag), nut the screen srefreshes nothing else besides the cursor.

-This is the same in both windowed and Full screen modes.

Please can we fix this it worked fine in hardy and intrepid. This is the single most important tool for me in my Ubuntu home network. I need my Nvidia Drivers and can't remove them, I need them. I really don't want to remove Compiz either, I have grown too attached to its features.

Download full text (3.2 KiB)

the fix seems to be 1) disable compiz or 2) upgrade to ubuntu lucid lynx
10.04 when its released or hey if your impatient you can try Alpha3 that
comes out in two weeks

On Wed, Feb 10, 2010 at 8:05 PM, DarthBrady <email address hidden>wrote:

> I can Confirm this bug in Karmic 9.10 i386. I have it installed and
> completely updated on 2 machines in my house. Both Desktops Run Compiz
> and Nvidia Proprietary 173 drivers.
>
> I have Remote Desktop Viewer Enabled on both PCs Properly, to allow
> remote control, ect. Here's a summary of my issue:
>
> -When Connecting to another PC that has a screensaver running, I get a
> still image of the screensaver's state, and no refresh. although the
> screensaver does turn off on the PC it is connected to, and does have
> mouse and keyboard control. Although there is no screen refresh on RDV's
> connection so this cannot be seen.
>
> -When connecting to another PC when the screen saver is not running, In
> the RDV I can see the remote desktop and see the local mouse cursor
> locked over the remote desktop's mouse cursor and they move together
> (with no lag), nut the screen srefreshes nothing else besides the
> cursor.
>
> -This is the same in both windowed and Full screen modes.
>
>
> Please can we fix this it worked fine in hardy and intrepid. This is the
> single most important tool for me in my Ubuntu home network. I need my
> Nvidia Drivers and can't remove them, I need them. I really don't want to
> remove Compiz either, I have grown too attached to its features.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop
> effects the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers. Linked
> bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
> display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bu...

Read more...

@DarthBrady: this has already been confirmed (over, and over, and over again). Try the workaround in https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/60
Works for me (albeit slow).

@nhasian: have you tried in lucid (current as of Feb 10, 2010? I did and I still have to use the above. Do you have different results?

This should be fixed before Lucid is released, as this is functionality that business users require.

I confirm this bug in FC12.

Actually this is not specific to nvidia-restricted drivers. I have the latest stable nvidia drivers from PPA. No remote display refreshing if compiz is enabled. If i switch to metacity (same as no desktop effects) then everything back to normal. Ubuntu 9.10 Desktop x64.

jnns (jnns) wrote :

Lucid is using xorg 7.5 so I suppose the issue should be gone. Anyone tested that yet?

Rocko (rockorequin) wrote :

This is still a problem in Lucid alpha3 (using xserver-xorg-core 2:1.7.5-1-ubuntu1 and Lucid's nvidia 195.36.03 drivers). The screen doesn't update when I connect to the Lucid box, either when I connect from a Karmic machine or from another Lucid machine.

Mossroy (mossroy) wrote :

It works great on my ubuntu 10.04 alpha 3 (with Intel drivers), accessed from an ubuntu 9.04 VNC client, or a ubuntu 10.04 alpha 3 client.
With compiz fully activated, the screen refreshes correctly, and I can see the desktop effects through VNC

Like #197 I have the same problem with the same closed source drivers, so the problem seems not X related, but maybe driver related.

On Sunday 28 February 2010 18:14:17 you wrote:
> Like #197 I have the same problem with the same closed source drivers,
> so the problem seems not X related, but maybe driver related.
>
 but it works on debian with closed source nVIDIA drivers. Maybe some change
introduced via ubuntu patches is behind this.

I have confirmed both Rocko's (#197) and Mossroy's (#198) comments. That is, with the latest Lucid Alpha (Xorg 1.7.5) and closed-source NVIDIA drivers running compiz, the screen will not refresh. With the latest Lucid Alpha and the Intel drivers running compiz, the screen will refresh. It looks like the solution we've been waiting for (from comment #175) does not fix the problem.

Someone should probably change the title of this bug to reflect the fact that this is still a problem under XOrg 7.5.

Gauthic (gauthic) wrote :

This bug is confirmed on a fresh install of 10.04 alpha 3 (US English) as well....

DMB (services-ubuntu) wrote :

Looks like this is the same issue that screws up Apple's built-in VNC client - symptoms are the same: machine is visible through Bonjour, I can connect, the mouse pointer moves, but screen doesn't get updated. Super frustrating.

AndreK (andre-k) wrote :

Same problem still exists on 10.04 Beta1
- this really needs to be fixed, it's important...

KruyKaze (kruykaze) wrote :

Just tried now on Lucid and it's not fixed.It was supposed to be fixed on xorg 7.5 we waited for a year for this now.Please fix this.

KruyKaze (kruykaze) wrote :

Using the Nouveau driver instead of Nvidia's proprietary driver fixes this.

Dan Burke (dan-burke) wrote :

Using Nouveau does _NOT_ fix this bug, Nouveau does not support Compiz.

Can a developer PLEASE chime in on this? This worked in 8.10 and has been broken since. We were told it would be fixed with Lucid and, a month away from Lucid's release, it's still not fixed. Could someone please at least say "No, this will not be fixed" instead of forcing people to chime in with half baked solutions and leave us guessing?

AndreK (andre-k) wrote :

I think Nvidia should do something about this.
Assuming the problem is partially because the driver is not open_source, would it help if I switched to recent ATI hardware ?

Josh (majik) wrote :

I believe one of the problems with this bug's fix is that it can't be nominated for Lucid because the option for Lucid is not available when clicking Nominate.

Another problem is that there's not anyone whose job it is to manage the project of fixing this bug.

Fixing this problem involves a number of people from different projects to work together because:

* The remote desktop solution in Ubuntu uses the VNC backend which can't read from hardware accelerated displays. The VNC project guys would have to fix this and it would probably involve a lot of work.

* There isn't currently a solution for remote display of hardware rendered displays that can be easily integrated into Ubuntu. The Ubuntu project coordinators would have to find a useful product for integration.

* NVIDIA can't fix the problem because it's not a problem with their display driver or their hardware -- that stuff is all doing its job as it should.

While I agree that a fix would be good, the "fix" isn't so much a "fix" as creation of an entirely new feature.

In the meantime I propose one of these workarounds:

* Inform the user when they turn on the remote desktop feature, that it won't work if desktop effects is turned on.

* Alternatively, the remote desktop software could be scripted such that when someone connects to a machine that has desktop effects enabled, the effects could be automatically switched off for that remote control session, and then switched back on after disconnect.

For those who need remote control of their Ubuntu machines, you'll just have to live without desktop effects until one of the above solutions has been implemented, and I'm speculating that it won't happen for some time because it seems that the Ubuntu project coordinators don't care about the 30% of the user experience that consists of aesthetics enough to work out a reasonable solution.

wild.ideas (wild-ideas) wrote :

This being the case, then at least "the developers"/Canonical should take the responsibility to produce the script you mention, "such that when someone connects to a machine that has desktop effects enabled, the effects could be automatically switched off for that remote control session, and then switched back on after disconnect."

They should include this script as part of the Lucid distro, and make it available in the repositories for 9.10, 9.04, etc. It should be enabled by default with an option to disable it (though I don't know why anyone would want to).

It may not be a "fix", but it would enable VNC/Remote Desktop to function in a straightforward way -- without having to know about this problem and what its workaround is. I seriously doubt anyone feels the need to have compiz doing eye candy tricks while using VNC, so it might even be considered a desirable "feature" even after this issue is fixed.

FYI on my desktop Compiz works just fine with nouveau and vnc.

On Sat, Mar 27, 2010 at 12:02 PM, wild.ideas <email address hidden> wrote:

> This being the case, then at least "the developers"/Canonical should
> take the responsibility to produce the script you mention, "such that
> when someone connects to a machine that has desktop effects enabled, the
> effects could be automatically switched off for that remote control
> session, and then switched back on after disconnect."
>
> They should include this script as part of the Lucid distro, and make it
> available in the repositories for 9.10, 9.04, etc. It should be enabled
> by default with an option to disable it (though I don't know why anyone
> would want to).
>
> It may not be a "fix", but it would enable VNC/Remote Desktop to
> function in a straightforward way -- without having to know about this
> problem and what its workaround is. I seriously doubt anyone feels the
> need to have compiz doing eye candy tricks while using VNC, so it might
> even be considered a desirable "feature" even after this issue is fixed.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop
> effects the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers. Linked
> bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
> display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/vino/+bug/353126/+subscribe
>

Josh says:

* The remote desktop solution in Ubuntu uses the VNC backend which can't
read from hardware accelerated displays.

When I initially connect to the vino server, it gives me a snapshot of the screen as I connect to it, it's just not feeding the updates. Doesn't this suggest it *can* read the display memory from hardware accelerated displays? I *know* wobbly windows works through a VNC viewer, albeit a bit jerky, as I had it working at one point, so I'm sure it's possible (whether that was with nVidia hardware or not I don't recall).

Re: adding a notice for users. Looking at the other comments on the ticket, and from my own experience, I'm fairly sure that this bug is simply a regression in something that used to work fine a few years ago. It's not a whole new problem we suddenly have to face, it's just gone unfixed for a long time. For that reason, hacky scripts that tell users that Ubuntu/Linux can't do something (that it used to be able to) and instead tell them to 'go reconfigure!' should be avoided *at all costs*, IMHO. Not only does it look bad to users, but it would be a massive waste of time/resources as it would mean more UI code would need to be written/tested/discussed/translated/approved/released/maintained etc. (all in a short time frame, by a large number of people, to get it into the upcoming release!) as a workaround - only for it all to become redundant the moment this bug gets investigated and resolved by a capable developer who's familiar enough with the code to fix it.

--
Ross

Sandro Mani (sandromani) wrote :

"The remote desktop solution in Ubuntu uses the VNC backend which can't read from hardware accelerated display"

That's hardly true, testing on a few xserver 7.5 machines (running fedora 12 but that should not make any difference)
* intel + compiz + xdamage enabled = no problem
* open source radeonhd + compiz + xdamage enabled = no problem
* binary nvidia + compiz + xdamage enabled = screen does not refresh
* binary nvidia + compiz + xdamage disabled = no problem

Hence it really looks like only the binary drivers (at least nvidia, haven't tested fglrx) are affected. And when using binary drivers, disabling xdamage in gconf: /desktop/gnome/remote_access/disable_xdamage should suffice (and this imo whould be something that could be done automatically when a user installs a binary driver through the repos).

For people experiencing this issue with open source drivers on a clean lucid install / live cd, they might want to give the fedora 12 / 13 live cds a try, just in case it were indeed a problem affecting only ubuntu.

wild.ideas (wild-ideas) wrote :

"Hence it really looks like only the binary drivers (at least nvidia, haven't tested fglrx) are affected."

That being the case, perhaps someone ought to prove it out by installing the Nvidia drivers from the 8.04 era into a fresh install of 9.10 and demonstrating that binary nvidia + compiz + xdamage enabled = no problem.

Or has this been done already?

Rocko (rockorequin) wrote :

I'm pretty sure that when the bug first appeared (in Jaunty) I was running the same version of nvidia's drivers in both Intrepid and Jaunty, and Intrepid didn't have the problem.

Note it's not just the nvidia driver that has a problem - VirtualBox's video driver also doesn't refresh the screen. In fact, with the current Lucid running in a VM, you don't even get the initial screen being drawn - I get either a black screen or the purple background coming through. Disabling X damage has no effect.

Following problem occures with xorg 7.4 and 7.5 but does not appear in xorg 7.3: If a virtualbox guest has focus and Gnome screensaver locks screen and user unlocks screen then, Virtualbox guest does not accepts keyboard entries. After minimizing and restoring the Virtualbox window keyboard input is possible.
This behaviour does not depend on NVidia driver, this happens with ATI Catalyst driver, also. Same problem was reported with Intel graphics based PC.

Sandro Mani (sandromani) wrote :

wild.ideas: "That being the case, perhaps someone ought to prove it out by installing the Nvidia drivers from the 8.04 era into a fresh install of 9.10 and demonstrating that binary nvidia + compiz + xdamage enabled = no problem.

Or has this been done already?"

That cannot be done since those drivers do not support the current kernel / xserver. One reason drivers get updated is exactely to provide support for these newer software pieces. Has anyone ever managed to get a statement from a nvidia employee at nvnews concerning this issue?

I'm also being affected by this bug on Lucid Beta1.I am running the nvidia-restricted driver with Compiz. I'm trying to test for an OEM deployment, and I think it would be really useful to come up with a workaround which is obvious to users before final release of Lucid. I'd be happy to test any scripts and other options to help come up with a fix.

NoOp (glgxg) wrote :

Are you still having this issue with Beta2? Does the target machine have /desktop/gnome/remote_access/disable_xdamage checked? I have no issues going from lucid Beta2 to lucid Beta2 without that option checked, but had issues going to a karmic machine without it checked. Once checked on the karmic machine(s) I have no further issues using remote access.

The problem is still here Lucid <-> Lucid.
The only way it works is if all screen enhancements, i.e. Compiz is
turned off. No refresh happens if any of the special Compiz features
are deployed. With all turned off then screen refreshes to the initiating
machine.

On Thu, Apr 15, 2010 at 8:29 PM, NoOp <email address hidden> wrote:
> Are you still having this issue with Beta2? Does the target machine have
> /desktop/gnome/remote_access/disable_xdamage checked? I have no issues
> going from lucid Beta2  to lucid Beta2 without that option checked, but
> had issues going to a karmic machine without it checked. Once checked on
> the karmic machine(s) I have no further issues using remote access.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
> Status in “vino” package in Fedora: New
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/vino/+bug/353126/+subscribe
>

This problem also affects Virtualbox in fullscreen even without using VNC! I reported this problem months ago to the VB bug tracker, but noone has responded yet. Seems launchpad is a lot more active than VirtualBox' bug tracker.
The bug is here: http://www.virtualbox.org/ticket/6089

The fix is still the same: disable desktop effects.

Carl-Erik Kopseng (kopseng) wrote :

This is a video demonstrating the problem in the previous post: http://www.youtube.com/watch?v=WOLv-9VwcTc
I think it is related (everything fits, except vnc).

Bryce Harrington (bryce) wrote :

There's so many comments on this bug from so many people, it's hard to understand what's wrong exactly.

I notice there were some xserver patches proposed as fixes; I've verified these are included in the xserver we ship with lucid.

I don't see any comments about having this issue with the open drivers, which makes me wonder if the problem is particular to the binary drivers (like, broken or missing XDamage support or something). In this case, the xserver task can be closed, and instead the issue should be raised directly to NVIDIA, ATI, and virtualbox to provide the missing support. These fixes are not something that can be done at the distro level.

My guess is that the xserver API here changed in some fashion, causing this to break with the binary drivers, but they have not been updated to fix the issue. Perhaps this use case is not one they test? Probably the logical next step would be to approach NVIDIA and ATI about this, for further information.

Given all that, the xorg-server task can be closed. I don't think there is anything we can change in xorg-server at the distro level to address this issue. However I'll leave the Lucid nomination in case the vino community wants to consider adding one of the various workarounds discussed here for Lucid. I'll also leave the upstream xserver bug report open in case I'm wrong and there is something that can be done in the xserver; if that upstream bug report gets some activity by upstream developers indicating that this could be fixed in xserver, feel free to reopen the xorg-server task.

Changed in xorg-server (Ubuntu):
status: Incomplete → Fix Released
Josh (majik) wrote :

> the xserver task can be closed, and instead the issue should be raised directly to NVIDIA, ATI, and virtualbox to provide the missing support.

If three vendors are having the same problem, then the problem is probably with the Vino server, not with all three vendors' products.

Perhaps you should check with the Vino server folks or consider replacing Vino with something that works.

Bryce,

If you are on Skype contact me via separate email and we can
test this out and have clarify the issue. I am about 96% sure that
I tested this with the non-proprietary nvidia driver with a friend and
we still had the problem. If that is the case I am not happy about
the bug being closed.

Bob
---

On Mon, Apr 19, 2010 at 11:52 AM, Josh <email address hidden> wrote:
>> the xserver task can be closed, and instead the issue should be raised
> directly to NVIDIA, ATI, and virtualbox to provide the missing support.
>
> If three vendors are having the same problem, then the problem is
> probably with the Vino server, not with all three vendors' products.
>
> Perhaps you should check with the Vino server folks or consider
> replacing Vino with something that works.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: New
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/vino/+bug/353126/+subscribe
>

Comment #141 confirmed this is a bug with Intel drivers. So this is not limited to binary blobs.

And the reason there are so many comments on this bug is because developers have ignored this bug and instead left the community to fend for itself and come up with half baked (if well intentioned) fixes which do not address the underlying regression from 8.10.

Please do not mark this bug as fixed until someone confirms it is fixed. Just because an updated version of xorg is in Lucid doesn't mean this bug is fixed. in fact, there are several reports of the contrary.

AndreK (andre-k) wrote :

It's not only Vino, actually, RealVNC has the very same problem... where same workarounds work.

I find it frankly kind of embarrassing that this still doesn't work.
At very least there should be some kind of text around enabling
desktop effects that tells you that VNC will not work properly. This
functionality worked a few versions ago using both binary and open
source drivers, but has since become broken for all of the above. At
one point I was able to see that the fix wasn't being applied to a
second monitor, but other than that it worked, now it just doesn't
work if you have desktop effects enabled. I would think enabling
desktop effects should disable VNC or present a message at least if
this is never planned on being fixed.

On Mon, Apr 19, 2010 at 3:27 PM, AndreK <email address hidden> wrote:
> It's not only Vino, actually, RealVNC has the very same problem... where
> same workarounds work.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org prior to release 7.5
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: New
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/vino/+bug/353126/+subscribe
>

May I point out that the last person actually stating that it had the
problem with intel graphics was back in september 2009, in comment 144?
Since then, the issue has only been confirmed on binary drivers (except
lunix which still needs to verify), while there are several reports of
things working fine with open drivers. So would people willing to
complain please actually try out the newest packages with the newest
open source drivers and report if they actually still _do_ have the issue?

On 04/19/2010 09:25 PM, Dan Burke wrote:
> Comment #141 confirmed this is a bug with Intel drivers. So this is not
> limited to binary blobs.
>
> And the reason there are so many comments on this bug is because
> developers have ignored this bug and instead left the community to fend
> for itself and come up with half baked (if well intentioned) fixes which
> do not address the underlying regression from 8.10.
>
> Please do not mark this bug as fixed until someone confirms it is fixed.
> Just because an updated version of xorg is in Lucid doesn't mean this
> bug is fixed. in fact, there are several reports of the contrary.
>
>

The reports that it's working on Nouveau make it an invalid test case, because the Ubuntu Nouveau drivers do not include Gallium which is required to make Compiz work. Remote Desktop works fine with Compiz disabled. The issue here is only with Remote Desktop + Compiz.

But to make you feel better, I will download the latest beta and test it on my work laptop which has Intel video tonight.

Dan Burke (dan-burke) wrote :

My testing results:

Intel with Compiz Enabled: Works
Nvidia Blob with Compiz: Still Broken

My wife is using the TV so I cannot test my HTPC with fglrx yet to see the status there.

Regardless, nobody has every investigated or stated why this worked for all drivers, open or not, in 8.10. At any rate, it does appear that at least the Intel driver works in 10.04.

Sandro Mani (sandromani) wrote :

From what I can see the issue has never been brought up at nvnews, which is apparently one of the only ways to report problems with the binary nvidia driver to their developers. I'd suggest someone who is affected might want to try to point out the issue there (any maybe there is some similar forum concerning the fglrx driver).

Spang (hetkot) wrote :

Same problem. NVidia+Remote+Compiz still broken.

Odd enough, the update from a locked screen to desktop does work and mouse pointer position updates as well.

Dan Burke (dan-burke) wrote :

This was not brought up at nvnews because it was not originally a Binary Blob issue. Whatever was changed in xorg to fix this apparently requires a driver fix too.

At any rate, I tested my ATI box and the results were as one might predict:

Radeon driver + Compiz: Works
FGLRX driver + Compix: Does not work

I guess at this point I'll unsubscribe from this thread as any hope at getting this fixed has now been lost, since it's going to be categorized into that blackhole of "binary driver" issues. I hope whatever changes xorg made to fix the original bug are somehow directly made known to all driver vendors.

koshari (holto2go) wrote :

"it's hard to understand what's wrong exactly."

iam guessing thats why this regression has existed for 2 years now.

it may be hard to understand whats wrong but its dead easy to reproduce with just 3 steps.

1-install nvidia restricted drivers,

2-enable compiz

3- RDP from another machine.

and bingo, no screen updates.

Look: software evolves, and sometimes API breaks and things like that
are necessary. While you may be unhappy about the situation, there is
indeed nothing the open community can do if the developers behind the
closed source drivers do not want to react on the issue. That is, if
they really do not want to, maybe the issue has simply not been brought
to their attention. So, please, if you care about this issue being fixed
as we all do here, why do you not take the step and try to obtain at
least some sort of feedback from their developers by posting the problem
there - i.e. for the nvidia driver to start with? I'd to it myself but I
have no nvidia card atm to provide specific information if they require
it, and really, it is not such a big deal to send them a few words.

On 04/20/2010 01:08 PM, Dan Burke wrote:
> This was not brought up at nvnews because it was not originally a Binary
> Blob issue. Whatever was changed in xorg to fix this apparently
> requires a driver fix too.
>
> At any rate, I tested my ATI box and the results were as one might
> predict:
>
> Radeon driver + Compiz: Works
> FGLRX driver + Compix: Does not work
>
> I guess at this point I'll unsubscribe from this thread as any hope at
> getting this fixed has now been lost, since it's going to be categorized
> into that blackhole of "binary driver" issues. I hope whatever changes
> xorg made to fix the original bug are somehow directly made known to all
> driver vendors.
>
>

koshari (holto2go) on 2010-04-24
Changed in xorg-server (Ubuntu):
status: Fix Released → Confirmed
summary: Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
- fglrx driver using X.org prior to release 7.5
+ fglrx driver using X.org
jose (jose-cybergalvez) wrote :

Koshari writes that a fix has been released, has it been tested? and if so will it make it into 10.4?

Sandro Mani (sandromani) wrote :

The problem is fixed as far as all open drivers are concerned. The issue with the binary driver remains and will probably remain as long as no-one with hardware that is affected cares to report the issue to the respective places (i.e. nvnews for nvidia, virtualbox bug tracker for virtualbox, and http://ati.cchtml.com/ for ATI cards).

Rocko (rockorequin) on 2010-04-25
Changed in vino (Fedora):
importance: Undecided → Unknown
status: New → Unknown
Rocko (rockorequin) wrote :

I have posted a report on this bug with nvidia:

http://www.nvnews.net/vbulletin/showthread.php?p=2239566

Incidentally, it is still a problem with the latest nvidia driver (195.36.24).

Doug Morse (dm-dougmorse) wrote :

Hi,

I am sympathetic to both Dan Burke's and Sandro Mani's points of view. I agree with Dan that this affects way too many folks to just be left be. On the other hand, I agree with Sandro that there's not much Ubuntu developers can do about it re: closed-source drivers. I also think Sandro makes a fine point that all 205 of us should be contacting the vendors -- not just our own vendor, but all of us take the time to contact all three (or more) major driver writers (i.e., ATI, Nvidia, Virtualbox).

That said, I strongly feel that the easier we make it for these vendors to fix the problem, the more likely we'll get what we want and get it sooner. Put differently, I think we need to give them as much specific and accurate information as possible.

This where things break down for me. I've not read all 237+ posts, but I get the sense that no one knows for sure what's wrong, but many have suggested a change in the xorg server -- specifically concerning how xdamage events are handled -- seems the most likely cause. But do really know this for sure? We'll hurt our own cause if we send them down a garden path.

I suspect a useful approach is simply to tell the vendors (a) what the problem is and (b) that we don't know for sure what the problem is, but that (c) we do know what was done to fix the problem within xorg, vino, and/or the open source drivers (and give the detailed information thereof).

So, my question is, can anyone tell me -- as concisely but also as accurately as possible -- what (c) is? In other words, what *do* we know about changed (and where) to cause the problem, and what *do* we know has been changed to correct things (and where), at least on the open-source side of things?

If some folks can answer this for me, I for one would be happy to write some email templates and help organize a simple email campaign. I for one want this fixed. And even the effort doesn't succeed, I feel I'll learn something about the vendors. I run Ubuntu 9.10 on several machines, including both Nvidia and ATI machines, and I use VirtualBox routinely. If one vendor is more responsive then the others re: getting a fix out, then I'll be more likely to buy their products next time.

Doug

Doug Morse (dm-dougmorse) wrote :

Hi again,

Just reading Rocko's post #239, I'm more convinced that there's more to this than just Xdamage. The problem does *not* occur and the -noxdamage workaround is *not* needed if one turns off all compiz special effects, right? So, doesn't that suggest that it's not just an Xdamage issue, but rather an interaction between Xdamage and compiz in special-effects mode? I guess to me a key question is why *do* things work with compiz in non-special-effects mode? Surely Xdamage is used by compiz in any mode, no?

Doug

Doug Morse (dm-dougmorse) wrote :

(formatting problem: "... does *not* occur and the '-noxdamage' workaround is *not* needed...")

What I wonder is what changed too, because when desktop effects first
appeared several versions ago, I was able to use VNC and everything
worked perfectly. (I think it was about a year ago that it stopped
working). So at some point the handling for this changed in a way
that open source drivers adjusted to, but everyone else writing
drivers probably wasn't even aware of.

On Sun, Apr 25, 2010 at 12:24 AM, Doug Morse <email address hidden> wrote:
> (formatting problem: "... does *not* occur and the '-noxdamage'
> workaround is *not* needed...")
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Confirmed
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers. Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/vino/+bug/353126/+subscribe
>

The same on Fedora 11.

vino + fglrx + desktop effects --> no screen refresh on vnc client.
vino + fglrx - desktop effects --> normal screen refresh on vnc client.

Regards.

Sandro Mani (sandromani) wrote :

For all those affected with nVidia hardware, nvidias Aaron Plattner has just announced that the issue will be investigated, see http://www.nvnews.net/vbulletin/showthread.php?p=2239566 .

Aaron Plattner (aplattner) wrote :

I looked into this today and found that the NVIDIA driver does not correctly generate damage events for a given window when the OpenGL rendering is actually happening to a child window. In this case, x11vnc is listening for damage events on the root, but Compiz is rendering to the Composite Overlay Window, which counts as a child window as far as this code is concerned. I'll try to fix the window hierarchy problem for a future release.

In the meantime, you can work around the problem by using Compiz's --use-root-window option, or by modifying Compiz to call XCreateDamage(dpy, cow, XDamageReportNonEmpty) to trigger damage events on the root window when it renders to the COW.

Josh (majik) wrote :

Can someone give me the steps to implement this workaround on Ubuntu?

The user never needs to execute Compiz so there is no opportunity to implement a command line switch.

Rocko (rockorequin) wrote :

@Josh: I used this command from a terminal:

compiz --use-root-window --replace &

and it fixes the problem. I can't see a way of enabling it via gconf-editor, though.

description: updated
Doug Morse (dm-dougmorse) wrote :

Thanks to Aaron from NVidia for his assistance and post (#245) on this.

I implemented his --use-root-window workaround by modifying the /usr/bin/compiz script (after first backing it up, of course). I simply changed the line:

  COMPIZ_OPTIONS="--ignore-desktop-hints --replace"

to

  COMPIZ_OPTIONS="--use-root-window --ignore-desktop-hints --replace"

and then logged off and back on.

Unfortunately, it didn't fix the problem: I still get no screen updates when connecting remotely to vino-server.

Running "ps aux | grep compiz" confirmed that compiz.real was running with the --use-root-window option.

I am using the stock Ubuntu restricted driver for older hardware (i.e., Nvidia driver version 96.43.13).

I did notice that vino-server runs with the '--sm-disable' option (i.e. "Disable connection to session manager" per 'vino-server --help-all'). Could this possibly have anything to do with this issue (much more generally, of course)?

Doug Morse (dm-dougmorse) wrote :

I forgot to mention:

When running compiz.real with '--use-root-window' with nvidia 96.43.13, the directly-connect display showed update problems, that is, portions around windows and frames w/in windows would be black. The only way to correct this was to switch to another viewport and then back again. As soon as I reverted to compiz w/o '--use-root-window' and logged off and on again, everything returned to normal.

Aaron Plattner (aplattner) wrote :

Doug, the code to enable damage events for this sort of use case is only available in relatively recent driver releases. The code in the X server that allows it to work was only added in the xserver 1.7 timeframe.

Doug Morse (dm-dougmorse) wrote :

Thanks Aaron!

Ubuntu 9.10 Karmic /w updates presently has X at 1.7. from "dpkg -l | grep xorg":

  ii xserver-xorg 1:7.4+3ubuntu10 the X.Org X server

So, I'm guessing I just need to download the latest 96.43.16 drivers (vs. the 96.43.13 I presently have installed) and install them manually? Or is Karmic's latest X.org X Server still too old?

Aaron Plattner (aplattner) wrote :

No, the legacy branches do not have the code to take advantage of the code I added to the X server, and are unlikely to get it because those branches are limited to support for new kernels and X servers, and critical bug fixes only. This is basically a new feature. The latest drivers do have code to take advantage of it, but it's not completely correct as I described in my comment #245.

I hope that makes things clearer!

https://bugzilla.redhat.com/show_bug.cgi?id=214446 seems to be a duplicate of this bug. Ubuntu launchpad says the bug is in xorg or possibly the ATI/nvidia drivers: https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126

For a workaround in your shell type:
gconftool-2 -s -t bool /desktop/gnome/remote_access/disable_xdamage true

Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Andrew,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 353126

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 353126 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/353126

Changed in xorg-server (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-retested-on-lucid-by-june
KruyKaze (kruykaze) wrote :
Download full text (3.2 KiB)

I am not the original reporter but I can still reproduce this bug in lucid.

On Tue, May 4, 2010 at 2:36 PM, Bryce Harrington
<email address hidden>wrote:

> [This is an automatic notification.]
>
> Hi Andrew,
>
> This bug was reported against an earlier version of Ubuntu, can you
> test if it still occurs on Lucid?
>
> Please note we also provide technical support for older versions of
> Ubuntu, but not in the bug tracker. Instead, to raise the issue through
> normal support channels, please see:
>
> http://www.ubuntu.com/support
>
>
> If you are the original reporter and can still reproduce the issue on
> Lucid, please run the following command to refresh the report:
>
> apport-collect 353126
>
> If you are not the original reporter, please file a new bug report, so
> we can work with you as the original reporter instead (you can reference
> bug 353126 in your report if you think it may be related):
>
> ubuntu-bug xorg
>
> If by chance you can no longer reproduce the issue on Lucid or if you
> feel it is no longer relevant, please mark the bug report 'Fix Released'
> or 'Invalid' as appropriate, at the following URL:
>
> https://bugs.launchpad.net/ubuntu/+bug/353126
>
>
> ** Changed in: xorg-server (Ubuntu)
> Status: Confirmed => Incomplete
>
> ** Tags added: needs-retested-on-lucid-by-june
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop
> effects the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers (see
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245for details). Linked bugs confirm this is not an issue on intel chipsets or
> nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
> display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe fr...

Read more...

AndreK (andre-k) wrote :

yes the bug still exists in Lucid release.

Lazy (ubuntu-bugs-oittaa) wrote :

Yep, still broken on my laptop and desktop.

Dario Meloni (mellon85) wrote :

I have reported my data of ubuntu-bug xorg in bug 575405 (with lucid)

Same here. Bug still exists In lucid on all my machines. Did anyone
figure out Aaron from nividia's workaround, or test it?

-------------------------
Daniel Brady (iPhone)
<email address hidden>

On May 4, 2010, at 5:04 PM, Lazy <email address hidden> wrote:

> Yep, still broken on my laptop and desktop.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/
> ATI fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Confirmed
> Status in “xorg-server” package in Ubuntu: Incomplete
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz
> desktop effects the vnc server will not refresh the screen. This is
> being caused by the xserver not getting "damaged" by the nvidia-
> restricted drivers (see https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245
> for details). Linked bugs confirm this is not an issue on intel
> chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted,
> virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu
> item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated
> snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really
> inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports.
> Might be an issue with xorg since there is a report of ATI drivers
> with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/vino/+bug/353126/+subscribe

jhn (jenshnielsen) wrote :

Using Aarons workaround i.e. running: "compiz --use-root-window --replace &"
solves the problem for me on lucid 64 bit with a nvidia 8500 GT card and current driver 195.36.15

Spang (hetkot) wrote :

Same here. Fix working. About the same config (64 bit lucid, and 8500 card).

So I guess setting System > Preferences > Appearance to none and adding "compiz --use-root-window --replace" to System > Preferences > Startup Applications. Should serve as a workable workaround.

Doug Morse (dm-dougmorse) wrote :

@Spang

If you look at my post #248, you can change the /usr/bin/compiz script easily to make compiz always run with --use-root-window option (albeit this involves changing a file in /usr/bin, a technical "no-no", but in this case helpful to ensure a program always runs with the correct options, for all users).

misterhaan (misterhaan) wrote :

i tried running "compiz --use-root-window --replace &" and then connecting over vnc. while the screen updates under this setting, it was noticeably slower than having visual effects set to none (no compiz). i’m not sure if it was the use root window setting or compiz itself causing the slowness, but thought i would point this out. it was slow enough that i found it not usable so went back to no effects. it turned a mouse click into a mouse drag for me a couple times.

i'm on 64-bit lucid with a geforce 8800 using the “current” version nvidia driver.

Aaron Plattner (aplattner) wrote :

> while the screen updates under this setting, it was noticeably slower than having visual effects set to none (no compiz)

This is expected. When no composite manager is running, the X server sends damage events only for the parts of the screen that changed. Because Compiz uses a much more complex API (OpenGL) to update the screen, it instead generates damage events that cover the whole screen. This makes the VNC server have to read back the whole screen instead of only a small part of it. When I tried it, x11vnc was much better than vino about updating the screen efficiently.

Id2ndR (id-2ndr) wrote :

> So I guess setting System> Preferences> Appearance to none and adding
> "compiz --use-root-window --replace" to System> Preferences> Startup
> Applications. Should serve as a workable workaround.
>

This can be added to the key
/desktop/gnome/session/required_components/windowmanager which is a
better way to get the same result.

Spang (hetkot) wrote :

@Doug

Good point.

@misterhaan & co

Same issue. When I tested before, I was testing a local connection (localhost).
When trying to actually use it over a dsl connection, things went terribly wrong. As in, nearly unresponsive and in fact completely unusable.

Issue seen here on updated F12:

-nVidia Corporation GeForce Go 7900 GS
-kernel-2.6.32.11-99.fc12.i686
-vino-2.28.1-1.fc12.i686
-xorg-x11-server-Xorg-1.7.6-3.fc12.i686
-kmod-nvidia-2.6.32.11-99.fc12.i686-195.36.15-1.fc12.i686

When connecting to vino with any vnc client, I can see the initial rendering of the desktop, but no changes/updates are seen through the client. The updates can still be seen on the primary screen.

Let me know if I can provide any more info.

-John

Oh and the workaround in https://bugzilla.redhat.com/show_bug.cgi?id=214446#c18 seems to work after restarting vino-server.

-John

Daniel M (triumph-2500) wrote :

Also having the same problem. of not refreshing the clients (viewers) display with the hosts actual state.

Both box's are running Ubuntu 10.04LTS and have NVidia graphics cards.

This issue only remains with the proprietary ati driver and virtualbox additions driver. The issue with the proprietary nvidia driver has been fixed in the latest 256 beta release (http://www.nvnews.net/vbulletin/showthread.php?p=2255561), the issue does not appear to affect any open intel / ati / nvidia drivers.

Sandro Mani (sandromani) wrote :

Status updates:
 - The cause of the issue is not X anymore
 - The issue has been fixed in the latest nvidia beta driver, see http://www.nvnews.net/vbulletin/showthread.php?p=2255561
 - The issue does still affect fglrx with unknown status

Changed in xorg-server (Ubuntu):
status: Incomplete → Fix Released
Changed in nvidia-drivers-ubuntu:
status: New → In Progress
Changed in fglrx:
status: New → Confirmed
Sandro Mani (sandromani) on 2010-05-22
Changed in vino (Ubuntu):
status: Confirmed → Fix Released
jose (jose-cybergalvez) wrote :

That is Fantastic! can't wait to try it out!

Diver (diver) wrote :

Is there a way to install this version (256.25) of nvidia drivers on Karmic?

In karmic it should be no problem:
  - Uninstall any nvidia packages installed from the ubuntu repos
  - Download the beta driver and make it executable (chmod +x
/path/to/NVIDIA-Linux-(x86|x86_64)-256.25.run)
  - Switch to a virtual terminal (i.e. ctrl+alt+f2), login
  - Stop X: sudo service gdm stop
  - Check you've installed the build-essential package: sudo apt-get
install build-essential
  - Install the driver: sudo /path/to/NVIDIA-Linux-(x86|x86_64)-256.25.run
  - Reboot

For lucid users it is more complicated, for example see
http://www.ubuntugeek.com/howto-install-nvidia-drivers-manually-on-ubuntu-10-04-lucid-lynx.html
(haven't tested myself).

On 05/22/2010 06:21 PM, Diver wrote:
> Is there a way to install this version (256.25) of nvidia drivers on
> Karmic?
>
>

About time but i'm still happy i'll try it when i get home.
Did anyone have issues installing on lucid64?

On Sat, May 22, 2010 at 10:52 AM, Sandro Mani <email address hidden> wrote:

> In karmic it should be no problem:
> - Uninstall any nvidia packages installed from the ubuntu repos
> - Download the beta driver and make it executable (chmod +x
> /path/to/NVIDIA-Linux-(x86|x86_64)-256.25.run)
> - Switch to a virtual terminal (i.e. ctrl+alt+f2), login
> - Stop X: sudo service gdm stop
> - Check you've installed the build-essential package: sudo apt-get
> install build-essential
> - Install the driver: sudo /path/to/NVIDIA-Linux-(x86|x86_64)-256.25.run
> - Reboot
>
> For lucid users it is more complicated, for example see
>
> http://www.ubuntugeek.com/howto-install-nvidia-drivers-manually-on-ubuntu-10-04-lucid-lynx.html
> (haven't tested myself).
>
> On 05/22/2010 06:21 PM, Diver wrote:
> > Is there a way to install this version (256.25) of nvidia drivers on
> > Karmic?
> >
> >
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in AMD fglrx video driver: Confirmed
> Status in NVIDIA Drivers Ubuntu: In Progress
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Fix Released
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop
> effects the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers (see
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245for details). Linked bugs confirm this is not an issue on intel chipsets or
> nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
> display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/fglrx/+bug/353126/+subscribe
>

Download full text (3.6 KiB)

Actually since the issue has been reported to the nvidia devs only about
a month ago I'd say they have been really quick. Anyhow, for lucid users
which don't want to fiddle around too much it may be more convenient to
look if the updated driver appears in the proprietary-video-improvements
PPA
(https://launchpad.net/~albertomilone/+archive/proprietary-video-improvements)
some time soon instead of installing manually (though I have no idea if
and when it will appear).

On 05/22/2010 11:37 PM, KruyKaze wrote:
> About time but i'm still happy i'll try it when i get home.
> Did anyone have issues installing on lucid64?
>
> On Sat, May 22, 2010 at 10:52 AM, Sandro Mani<email address hidden>
> wrote:
>
>
>> In karmic it should be no problem:
>> - Uninstall any nvidia packages installed from the ubuntu repos
>> - Download the beta driver and make it executable (chmod +x
>> /path/to/NVIDIA-Linux-(x86|x86_64)-256.25.run)
>> - Switch to a virtual terminal (i.e. ctrl+alt+f2), login
>> - Stop X: sudo service gdm stop
>> - Check you've installed the build-essential package: sudo apt-get
>> install build-essential
>> - Install the driver: sudo /path/to/NVIDIA-Linux-(x86|x86_64)-256.25.run
>> - Reboot
>>
>> For lucid users it is more complicated, for example see
>>
>> http://www.ubuntugeek.com/howto-install-nvidia-drivers-manually-on-ubuntu-10-04-lucid-lynx.html
>> (haven't tested myself).
>>
>> On 05/22/2010 06:21 PM, Diver wrote:
>>
>>> Is there a way to install this version (256.25) of nvidia drivers on
>>> Karmic?
>>>
>>>
>>>
>> --
>> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
>> fglrx driver using X.org
>> https://bugs.launchpad.net/bugs/353126
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in AMD fglrx video driver: Confirmed
>> Status in NVIDIA Drivers Ubuntu: In Progress
>> Status in GNOME Remote Desktop: Incomplete
>> Status in X.Org X server: Confirmed
>> Status in “vino” package in Ubuntu: Fix Released
>> Status in “xorg-server” package in Ubuntu: Fix Released
>> Status in “vino” package in Fedora: Unknown
>>
>> Bug description:
>> Binary package hint: compiz
>>
>> When using the nvidia-restricted or some ATI drivers and compiz desktop
>> effects the vnc server will not refresh the screen. This is being caused by
>> the xserver not getting "damaged" by the nvidia-restricted drivers (see
>> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245for details). Linked bugs confirm this is not an issue on intel chipsets or
>> nv driver.
>>
>> Steps to reproduce:
>> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
>> display or some ATI driver like RV610
>> Enable remote desktop
>> Connect with VNC
>>
>> Results:
>> You see a screen snapshot of your desktop but if you click a menu item
>> there are no updates to the screen.
>> Notes:
>> If you close and restart the vnc session, you get an updated snapshot but
>> still no refreshes.
>>
>> Workarounds:
>> Use the -noxdamage argument with vncviewer. This is really inefficient and
>> bandwidth hungry since the whole screen refreshes.
>> Kill...

Read more...

Rocko (rockorequin) wrote :

It works in lucid64, and I find that 3d performance is nicely improved in wine apps. But the PC with the nvidia card now sends *both* my monitors to vinagre's window, which makes vinagre continually become unresponsive and grey out unless I turn on compression and scaling (and this is just over the local network).

Speaking of all this great news, does Compiz automatically turn itself
off and get out of the way of games like Aero does in Windows 7?

On Sat, May 22, 2010 8:39 pm, Rocko wrote:
> It works in lucid64, and I find that 3d performance is nicely improved
> in wine apps. But the PC with the nvidia card now sends *both* my
> monitors to vinagre's window, which makes vinagre continually become
> unresponsive and grey out unless I turn on compression and scaling (and
> this is just over the local network).
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
>

--
Kriston Rehberg
http://kriston.net/

VPablo (villumar) wrote :

Nvidia drivers 256 for Karmic available on Nvidia Vdpau Team PPA:
https://launchpad.net/~nvidia-vdpau/+archive/ppa?field.series_filter=karmic

Not yet for Lucid.

Aaron Plattner (aplattner) wrote :

The code I added relies on a feature I added to xserver 1.7 to work correctly. It should still be broken in Karmic, since it ships xserver 1.6.

VPablo (villumar) wrote :

Lucid comes with 1.7.6 version of xserver:
http://packages.ubuntu.com/lucid/xserver-common

Do you mean 1.7.7 version?

Aaron Plattner (aplattner) wrote :

Right, the code was added for xserver 1.7.0, so Lucid should work since it ships a newer point release of the same server branch.

You mentioned Karmic, which ships xserver 1.6.4: http://packages.ubuntu.com/karmic-updates/x11/xserver-common
I would not expect that to work correctly with Vino+Compiz since it lacks the necessary X server source.

VPablo (villumar) wrote :

Ok, thanks.

VPablo (villumar) wrote :

PPA with the 256 driver version for Lucid:
https://launchpad.net/~ubuntu-x-swat/+archive/x-updates

I will install them later.

Jeff Van Epps (lordbah) wrote :

After installing the ubuntu-x-swat PPA, do I need to:

1. Remove the prior driver, which was downloaded from nvidia and installed via "sh NVIDIA-Linux-x86-195.36.24-pkg1.run"? By doing "sh NVIDIA-Linux-x86-195.36.24-pkg1.run --uninstall"?
2. Launch synaptic and install nvidia-current?
3. Also install nvidia-settings?

VPablo (villumar) wrote :

I had not installed binary from NVidia so I only updated with Synaptic. It will update both nvidia-settings and drivers from 195 to 256.

Later I will test vino with compiz active.

VPablo (villumar) wrote :

OK. With x-swat PPA drivers vino works with Desktop-Effects active in Lucid. I think this bug is solved for Lucid and NVidia.

Jeff Van Epps (lordbah) wrote :

Since installing version 256 I haven't been able to turn on compiz on my system, let alone have it work remotely. System / Appearance / Visual Effects / Extra causes the screen to blink a bit and then "Desktop effects could not be enabled".

From Xorg.0.log it is loading the new driver and seems happy. It initializes the GLX extension. However, System / NVidia X Server Settings on the OpenGL/GLX Information tab says "Failed to query the GLX server vendor". Weird?

System / Administration / Hardware Drivers shows nvidia_current but says "This driver is activated but not currently in use". However, this appears to be a known bug with jockey. I did try Deactivate, Activate, reboot - no change.

dmesg appears happy and references the new version.

"modprobe nvidia" does not find the module. Seems odd.

Jeff Van Epps (lordbah) wrote :

Added /etc/modprobe.d/modprobe.conf with

alias nvidia nvidia-current

and rebooted. Now "modprobe nvidia" no longer complains, but I still have all of the other issues noted earlier.

/lib/modules/2.6.32-22-generic/updates/dkms contains one nvidia file, nvidia-current.ko, dated when I installed from the PPA. Sounds correct, right?

The only other nvidia file I find under that tree is /lib/modules/2.6.32-22-generic/kernel/drivers/video/nvidia/nvidiafb.ko dated 6/3. But that is blacklisted in /etc/modprobe.d/blacklist.conf so I doubt that it is interfering.

glxinfo reports "Error: couldn't find RGB GLX visual or fbconfig". I have no ideas about this.

Anything else I can try? Or do I just have to uninstall this and go back to 195?

Dario Meloni (mellon85) wrote :

Please, stop complaining about nvidia drivers installation not working here.
Open a related bug, don't litter this

Jeff Van Epps (lordbah) wrote :

Okay. I was hoping to be able to confirm this fix, but I"m sure someone else can.

Zygmunt Krynicki (zyga) wrote :

Nvidia proprietary driver version 256.35 claims to fix this issue.

See: http://www.nvidia.com/object/linux-display-amd64-256.35-driver.html

Quote:
Fixed an interaction problem between Compiz and 'screen-scraping' VNC servers like x11vnc and vino that caused the screen to stop updating. Fixes Launchpad bug #353126.

Valentin Rocher (bishiboosh) wrote :

Just backported the 256.35 version for maverick and it WORKS. At last. So maybe we could add a bug in lucid-backports and make it work at last for everyone.

jose (jose-cybergalvez) wrote :

There is an nvidia ppa with the updated drivers, if you use that with lucid then the problem is fixed. I've tested it and it works as expected

Using that PPA i cannot activate compiz lately

On Tue, Jun 29, 2010 at 10:49 AM, jose <email address hidden> wrote:
> There is an nvidia ppa with the updated drivers, if you use that with
> lucid then the problem is fixed. I've tested it and it works as expected
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in AMD fglrx video driver: Confirmed
> Status in NVIDIA Drivers Ubuntu: In Progress
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Fix Released
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers (see https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245 for details). Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/fglrx/+bug/353126/+subscribe
>

jose (jose-cybergalvez) wrote :

I couldn't either until I actually set up xorg. Apparently after installing the driver the xorg.conf file did not get created so it wasn't actually using the driver, even though sysinfo said it was being used
Jose

KruyKaze (kruykaze) wrote :

Can you tell us how you setup xorg so we can get this working?
thanks

On Tue, Jun 29, 2010 at 2:36 PM, jose <email address hidden> wrote:
> I couldn't either until I actually set up xorg. Apparently after installing the driver the xorg.conf file did not get created so it wasn't actually using the driver, even though sysinfo said it was being used
> Jose
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in AMD fglrx video driver: Confirmed
> Status in NVIDIA Drivers Ubuntu: In Progress
> Status in GNOME Remote Desktop: Incomplete
> Status in X.Org X server: Confirmed
> Status in “vino” package in Ubuntu: Fix Released
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop effects the vnc server will not refresh the screen. This is being caused by the xserver not getting "damaged" by the nvidia-restricted drivers (see https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245 for details). Linked bugs confirm this is not an issue on intel chipsets or nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports. Might be an issue with xorg since there is a report of ATI drivers with similar issues in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/fglrx/+bug/353126/+subscribe
>

*** Bug 505558 has been marked as a duplicate of this bug. ***

Should this be closed now? CANTFIX? (binary drivers)

jose (jose-cybergalvez) wrote :

after I added the nvidia ppa and installe the nvidia drivers, I checked to see if it was installed and running by 1) checking the hardware drivers to see if nvidia current driver was installed and active, I also checked sysinfo which also showed that it was installed. I then ran sudo nvidia-settings from a terminal and accepted the default settings, hit save that writes the correct xorg.conf file, reboot and everything runs great. Althouhg using the default vnc viewer from ubuntu stinks, I just use remmina and set the colrs to 256, great performance andit seems to be working. I did not test with the 185 drivers on 10.04 so I can't comment on that, but past experience with 9.10 indicates that it does not work.
Jose

KiJune Yoon (kijune) wrote :

I've spent 3 days to solve this problem. And finally I found this link.
Changing disable_xdamage value works fine. thanks.
I think this option would be default value.or many people have to spend their time searching for the solution.

Valentin Rocher (bishiboosh) wrote :

As the fix has been released in the nvidia drivers, couldn' they be backported for Jaunty/Karmic/Lucid ?

Changed in nvidia-drivers-ubuntu:
status: In Progress → Fix Released
Changed in lucid-backports:
status: New → Confirmed
VPablo (villumar) wrote :

It needs to be backported xserver 1.7.0 on Karmic and Jaunty too as mentioned Aaron on #278. I don't think this could be done on previous distros.

I have this issue with both remote desktop server and client running Ubuntu 10.4, server uses ATI/AMD FGLRX graphics driver; either disabling desktop-effects or setting noxdamage to true in gconf-editor are verified workarounds, but it would be great to have a fix.

Changed in xorg-server (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
swatspyder (andrewdefilippis) wrote :

Not working for me. 10.04 AMD64 with NVIDIA Drivers. Connection from Android OS to Ubuntu via VNC. Had to disable Visual Effects to be able to receive screen refreshes.

Troy Ready (troyready) wrote :

swatspyder: For Lucid, It requires the drivers from the right PPA -- see comment 280.

swatspyder (andrewdefilippis) wrote :

Thank you Troy.

Steve Stalcup (vorian) wrote :

This should be a Stable Release Update and not a Backport.

Please see https://wiki.ubuntu.com/StableReleaseUpdates for information on how to request an SRU

Changed in lucid-backports:
status: Confirmed → Invalid

I do not have any idea what you are talking about.
I reported a bug.
I hope this does not mean you are marking the whole bug invalid, and
therefore the bug is quietly ignored.

Kris

On Thu, August 5, 2010 2:13 pm, Steve Stalcup wrote:
> This should be a Stable Release Update and not a Backport.
>
> Please see https://wiki.ubuntu.com/StableReleaseUpdates for information
> on how to request an SRU
>
> ** Changed in: lucid-backports
> Status: Confirmed => Invalid
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
>

--
Kriston Rehberg
http://kriston.net/

Changed in xorg-server:
importance: Unknown → High
status: Confirmed → Fix Released
Changed in vino:
importance: Unknown → Wishlist
status: Incomplete → Fix Released
KruyKaze (kruykaze) wrote :

I am still experiencing this bug on Maverick 64bit

Josh (majik) wrote :

I don't understand how the most user friendly Linux distribution in the world can have such a fundamental problem for *four years*.

I think it's more like 2 years the problem is that it was working before and
then it broke.What I don't understand is that I know it's not uncommon to
use compiz and vnc at the same time.

On Thu, Oct 21, 2010 at 9:46 PM, Josh <email address hidden> wrote:

> I don't understand how the most user friendly Linux distribution in the
> world can have such a fundamental problem for *four years*.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in AMD fglrx video driver: Confirmed
> Status in Lucid Backports: Invalid
> Status in NVIDIA Drivers Ubuntu: Fix Released
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Fix Released
> Status in “vino” package in Ubuntu: Fix Released
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop
> effects the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers (see
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245for details). Linked bugs confirm this is not an issue on intel chipsets or
> nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
> display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/fglrx/+bug/353126/+subscribe
>

Rocko (rockorequin) wrote :

The open-source ATI driver doesn't have this problem; it's only a problem with the proprietary ATI driver, so it's a problem that the Ubuntu developers cannot solve (and the same goes for the X developers).

It might therefore be worth raising the bug directly with AMD if you are experiencing it. It only took nvidia a few days to release a fixed driver when I logged the bug on their forums.

KruyKaze (kruykaze) wrote :

My apologies, I found out i was not using the "current" NVIDIA driver.It is
working fine now :)

On Thu, Oct 21, 2010 at 10:42 PM, Rocko <email address hidden> wrote:

> The open-source ATI driver doesn't have this problem; it's only a
> problem with the proprietary ATI driver, so it's a problem that the
> Ubuntu developers cannot solve (and the same goes for the X developers).
>
> It might therefore be worth raising the bug directly with AMD if you are
> experiencing it. It only took nvidia a few days to release a fixed
> driver when I logged the bug on their forums.
>
> --
> Compiz / vnc screen refresh with nvidia-restricted driver/VirtualBox/ATI
> fglrx driver using X.org
> https://bugs.launchpad.net/bugs/353126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in AMD fglrx video driver: Confirmed
> Status in Lucid Backports: Invalid
> Status in NVIDIA Drivers Ubuntu: Fix Released
> Status in GNOME Remote Desktop: Fix Released
> Status in X.Org X server: Fix Released
> Status in “vino” package in Ubuntu: Fix Released
> Status in “xorg-server” package in Ubuntu: Fix Released
> Status in “vino” package in Fedora: Unknown
>
> Bug description:
> Binary package hint: compiz
>
> When using the nvidia-restricted or some ATI drivers and compiz desktop
> effects the vnc server will not refresh the screen. This is being caused by
> the xserver not getting "damaged" by the nvidia-restricted drivers (see
> https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/353126/comments/245for details). Linked bugs confirm this is not an issue on intel chipsets or
> nv driver.
>
> Steps to reproduce:
> Enable desktop-effects (default) with nvidia-restricted, virtualBox's
> display or some ATI driver like RV610
> Enable remote desktop
> Connect with VNC
>
> Results:
> You see a screen snapshot of your desktop but if you click a menu item
> there are no updates to the screen.
> Notes:
> If you close and restart the vnc session, you get an updated snapshot but
> still no refreshes.
>
> Workarounds:
> Use the -noxdamage argument with vncviewer. This is really inefficient and
> bandwidth hungry since the whole screen refreshes.
> Kill compiz and use a different wm (metacity).
>
> [Tested with nvidia] Run compiz with the --use-root-window option, eg:
> compiz --replace --use-root-window &
>
> This bug has been confirmed by many others with linked reports. Might be an
> issue with xorg since there is a report of ATI drivers with similar issues
> in https://bugs.launchpad.net/bugs/328559 .
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/fglrx/+bug/353126/+subscribe
>

This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 12 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora please change the 'version' of this
bug to the applicable version. If you are unable to change the version,
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Last I checked this was still an issue with 13. Haven't tried 14 yet.

(In reply to comment #26)
> Last I checked this was still an issue with 13. Haven't tried 14 yet.

John, you're using the proprietary driver. Make sure you are using the latest version. At least the 256.xx or 260.xx series driver. The issue was resolved. This should be closed.

Oh, I missed that. Will do. Sorry for the noise. Feel free to close if others have tested and confirmed thats it.

-John

Changed in xorg-server:
importance: High → Unknown
Changed in xorg-server:
importance: Unknown → High
Matt Marnell (mattmarnell) wrote :

I can confirm this is still an issue with Ubuntu 10.10 x64 and ATI/AMD Proprietary FGLRX graphics drivers installed.

Linux brutus 2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:44 UTC 2011 x86_64 GNU/Linux

With Visual Effects enabled, I get no client-side visual refresh from VNC (using ubuntu's built-in vino server) although commands are being processed. With Visual Effects set to None, it seems to work fine.

rambamram (rami-negev) wrote :

I can confirm that I'm also having this issue on 10.10 x32 with nVidia drivers.

Was having this issue with 10.04 as well.

yes with Visual effects disabled you can get Client side info but with visual effects enabled it does not automatically disable when someone connects.

If you setup a vncserver :1 and higher the issue does not present itself...it only affects the main Desktop vncserver :0

in earlier versions there was a built in visual effects auto disable when VNC connected to the main desktop...but not since 9.14.

Kim Botherway (dj-dvant) wrote :

This is still a problem on Ubuntu 11.04:

fglrx 2:8.840-0ubuntu4
compiz 1:0.9.4+bzr20110415-0ubuntu2
vino 2.32.1-0ubuntu2
xorg 1:7.6+4ubuntu3

Josh (majik) wrote :

I am having the problem with ATI video card on 11.04.

I don't understand why this VNC server is still shipping with Ubuntu with this problem after several major releases.

Just make sure you update all packages (Fedora and proprietary).

This is still a problem on Ubuntu 10.10 (maverick):

kernel 2.6.25-29-generic
gnome 2.32.0
fglrx 2:8.780-0ubuntu2
compiz 1:0.8.6-0ubuntu9.2
vino 2.32.0-0ubuntu1.2
xorg 1:7.5+6ubuntu3

Bryce Nesbitt (bryce2) wrote :

Confirmed: 10.04
Removing NVida proprietary drivers, and suddenly all the windows and menus that were invisible on the remote show up.
On the local machine they were always visible.

Josh (majik) wrote :

That's because removing the driver eliminates the source of the problem along with the acceleration required to use Desktop Effects.

You might want to read the bug report before posting a comment.

Greg Michalec (greg-primate) wrote :

Unfortunately, I'm still seeing this issue in Oneric Beta 1.
Steps to reproduce:
1) log in to guest session
2) Enable Desktop Sharing
3) Open Remote Desktop Viewer
4) Open VNC connection to localhost:5900

You'll see the initial screen, and the mouse will move around, but no screen updates are made. If you repeat the steps abovem , but starting the guest session in 'Ubuntu 2D' mode, it will work as expected.

Obviously there is something incompatible between the VNC server and desktop compositing, but since Vino, Vinaigre, and Compiz are now all part of the default Ubuntu experience, it seems that the current situation will cause nothing but frustration for new users. Even if there is no programmatic solution, can't there be some sort of indication of why this won't work, or a best way to work around - i.e. maybe a notification in the Desktop Sharing preferences tool warning that sharing will not work unless you restart to a 2d session (if this is indeed the best/easiest solution).

Bryce Harrington (bryce) wrote :

This bug still exists, but we are tracking it at bug #772873; this report is a dupe of that one. I would set this as a dupe, but because this one has so many dupes on it, launchpad chokes.

Anyway, subscribe to bug #772873 if you want to follow it.

The short story is, it seems to be a bug in the fglrx driver, we're going to escalate it to AMD. Assuming it gets fixed we'll try to include the updated driver in the x-updates PPA. See bug #772873 for workarounds and more information.

Changed in fglrx:
status: Confirmed → Invalid
Evan Broder (broder) wrote :

I'm closing the maverick-backports task on this bug due to Ubuntu 10.10 (Maverick Meerkat) no longer being supported.

This bug is being closed by a bot. If you feel the change was made in error, please feel free to re-open the bug. However, backports requests for Ubuntu 10.10 (Maverick Meerkat) are no longer being accepted.

Changed in maverick-backports:
status: New → Won't Fix
Josh (majik) wrote :

I have discovered a useful workaround:

Splashtop.

It is a much more functional remote desktop solution than VNC or Vino. It has sound. You can play 3D games over it and even Second Life works beautifully.

And it's available in the Ubuntu Software Center for free.

This really should be the default remote desktop. It blows Microsoft's Remote Desktop away.

If you need a desktop client it's under "other products" on the Splashtop App download page.

MestreLion (mestrelion) wrote :

@Josh: being gratis does not mean it is free. Ubuntu, like Debian, values software freedom, so a proprietary software can ever be the default one.

Changed in vino (Fedora):
importance: Unknown → High
status: Unknown → Invalid
Olleg Samoylov (olleg) wrote :

Ubuntu 17.10
tigervnc-xorg-extension 1.7.0+dfsg-7ubuntu1
xorg 1:7.7+19ubuntu3
cinnamon 3.4.6-1
nvidia-384 384.111-0ubuntu0.17.10.1

Bug exactly the same.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.